source $stdenv/setup
header "fetching Chronos maven repo"

function fetchArtifact {
  repoPath="$1"
  echo "fetching $repoPath"
  mkdir -p $(dirname $out/$repoPath)
  curl --fail --location --insecure --max-redirs 20 "http://repo.maven.apache.org/maven2/$repoPath" --output "$out/$repoPath" ||
  curl --fail --location --insecure --max-redirs 20 "https://repository.apache.org/content/repositories/release/$repoPath" --output "$out/$repoPath" ||
  curl --fail --location --insecure --max-redirs 20 "http://downloads.mesosphere.io/maven/$repoPath" --output "$out/$repoPath"
}

fetchArtifact commons-collections/commons-collections/3.1/commons-collections-3.1.pom.sha1
fetchArtifact commons-collections/commons-collections/3.1/commons-collections-3.1.pom
fetchArtifact commons-collections/commons-collections/2.0/commons-collections-2.0.pom
fetchArtifact commons-collections/commons-collections/2.0/commons-collections-2.0.pom.sha1
fetchArtifact commons-collections/commons-collections/3.2/commons-collections-3.2.pom.sha1
fetchArtifact commons-collections/commons-collections/3.2/commons-collections-3.2.jar.sha1
fetchArtifact commons-collections/commons-collections/3.2/commons-collections-3.2.pom
fetchArtifact commons-collections/commons-collections/3.2/commons-collections-3.2.jar
fetchArtifact commons-collections/commons-collections/3.2.1/commons-collections-3.2.1.pom.sha1
fetchArtifact commons-collections/commons-collections/3.2.1/commons-collections-3.2.1.jar.sha1
fetchArtifact commons-collections/commons-collections/3.2.1/commons-collections-3.2.1.pom
fetchArtifact commons-collections/commons-collections/3.2.1/commons-collections-3.2.1.jar
fetchArtifact commons-collections/commons-collections/2.1/commons-collections-2.1.pom
fetchArtifact commons-collections/commons-collections/2.1/commons-collections-2.1.pom.sha1
fetchArtifact commons-io/commons-io/1.4/commons-io-1.4.jar
fetchArtifact commons-io/commons-io/1.4/commons-io-1.4.pom.sha1
fetchArtifact commons-io/commons-io/1.4/commons-io-1.4.pom
fetchArtifact commons-io/commons-io/1.4/commons-io-1.4.jar.sha1
fetchArtifact commons-io/commons-io/2.2/commons-io-2.2.pom
fetchArtifact commons-io/commons-io/2.2/commons-io-2.2.jar
fetchArtifact commons-io/commons-io/2.2/commons-io-2.2.jar.sha1
fetchArtifact commons-io/commons-io/2.2/commons-io-2.2.pom.sha1
fetchArtifact aopalliance/aopalliance/1.0/aopalliance-1.0.jar
fetchArtifact aopalliance/aopalliance/1.0/aopalliance-1.0.pom.sha1
fetchArtifact aopalliance/aopalliance/1.0/aopalliance-1.0.pom
fetchArtifact aopalliance/aopalliance/1.0/aopalliance-1.0.jar.sha1
fetchArtifact commons-cli/commons-cli/1.0/commons-cli-1.0.pom
fetchArtifact commons-cli/commons-cli/1.0/commons-cli-1.0.jar.sha1
fetchArtifact commons-cli/commons-cli/1.0/commons-cli-1.0.pom.sha1
fetchArtifact commons-cli/commons-cli/1.0/commons-cli-1.0.jar
fetchArtifact net/kencochrane/raven/raven-all/4.1.2/raven-all-4.1.2.pom
fetchArtifact net/kencochrane/raven/raven-all/4.1.2/raven-all-4.1.2.pom.sha1
fetchArtifact net/kencochrane/raven/raven/4.1.2/raven-4.1.2.jar
fetchArtifact net/kencochrane/raven/raven/4.1.2/raven-4.1.2.pom
fetchArtifact net/kencochrane/raven/raven/4.1.2/raven-4.1.2.jar.sha1
fetchArtifact net/kencochrane/raven/raven/4.1.2/raven-4.1.2.pom.sha1
fetchArtifact net/kencochrane/raven/raven-getsentry/4.1.2/raven-getsentry-4.1.2.jar.sha1
fetchArtifact net/kencochrane/raven/raven-getsentry/4.1.2/raven-getsentry-4.1.2.jar
fetchArtifact net/kencochrane/raven/raven-getsentry/4.1.2/raven-getsentry-4.1.2.pom.sha1
fetchArtifact net/kencochrane/raven/raven-getsentry/4.1.2/raven-getsentry-4.1.2.pom
fetchArtifact net/liftweb/lift-markdown_2.11/2.6-M4/lift-markdown_2.11-2.6-M4.jar.sha1
fetchArtifact net/liftweb/lift-markdown_2.11/2.6-M4/lift-markdown_2.11-2.6-M4.pom
fetchArtifact net/liftweb/lift-markdown_2.11/2.6-M4/lift-markdown_2.11-2.6-M4.jar
fetchArtifact net/liftweb/lift-markdown_2.11/2.6-M4/lift-markdown_2.11-2.6-M4.pom.sha1
fetchArtifact net/java/jvnet-parent/4/jvnet-parent-4.pom
fetchArtifact net/java/jvnet-parent/4/jvnet-parent-4.pom.sha1
fetchArtifact net/java/jvnet-parent/1/jvnet-parent-1.pom
fetchArtifact net/java/jvnet-parent/1/jvnet-parent-1.pom.sha1
fetchArtifact net/java/jvnet-parent/3/jvnet-parent-3.pom.sha1
fetchArtifact net/java/jvnet-parent/3/jvnet-parent-3.pom
fetchArtifact net/alchim31/maven/scala-maven-plugin/3.1.0/scala-maven-plugin-3.1.0.jar.sha1
fetchArtifact net/alchim31/maven/scala-maven-plugin/3.1.0/scala-maven-plugin-3.1.0.pom.sha1
fetchArtifact net/alchim31/maven/scala-maven-plugin/3.1.0/scala-maven-plugin-3.1.0.pom
fetchArtifact net/alchim31/maven/scala-maven-plugin/3.1.0/scala-maven-plugin-3.1.0.jar
fetchArtifact net/jpountz/lz4/lz4/1.2.0/lz4-1.2.0.jar
fetchArtifact net/jpountz/lz4/lz4/1.2.0/lz4-1.2.0.pom
fetchArtifact net/jpountz/lz4/lz4/1.2.0/lz4-1.2.0.jar.sha1
fetchArtifact net/jpountz/lz4/lz4/1.2.0/lz4-1.2.0.pom.sha1
fetchArtifact classworlds/classworlds/1.1/classworlds-1.1.pom
fetchArtifact classworlds/classworlds/1.1/classworlds-1.1.pom.sha1
fetchArtifact classworlds/classworlds/1.1-alpha-2/classworlds-1.1-alpha-2.jar.sha1
fetchArtifact classworlds/classworlds/1.1-alpha-2/classworlds-1.1-alpha-2.pom.sha1
fetchArtifact classworlds/classworlds/1.1-alpha-2/classworlds-1.1-alpha-2.pom
fetchArtifact classworlds/classworlds/1.1-alpha-2/classworlds-1.1-alpha-2.jar
fetchArtifact xerces/xercesImpl/2.8.1/xercesImpl-2.8.1.pom.sha1
fetchArtifact xerces/xercesImpl/2.8.1/xercesImpl-2.8.1.pom
fetchArtifact xerces/xercesImpl/2.9.1/xercesImpl-2.9.1.pom.sha1
fetchArtifact xerces/xercesImpl/2.9.1/xercesImpl-2.9.1.pom
fetchArtifact xerces/xercesImpl/2.9.1/xercesImpl-2.9.1.jar
fetchArtifact xerces/xercesImpl/2.9.1/xercesImpl-2.9.1.jar.sha1
fetchArtifact io/dropwizard/metrics/metrics-core/3.1.0/metrics-core-3.1.0.pom
fetchArtifact io/dropwizard/metrics/metrics-core/3.1.0/metrics-core-3.1.0.jar
fetchArtifact io/dropwizard/metrics/metrics-core/3.1.0/metrics-core-3.1.0.jar.sha1
fetchArtifact io/dropwizard/metrics/metrics-core/3.1.0/metrics-core-3.1.0.pom.sha1
fetchArtifact io/dropwizard/metrics/metrics-graphite/3.1.0/metrics-graphite-3.1.0.jar.sha1
fetchArtifact io/dropwizard/metrics/metrics-graphite/3.1.0/metrics-graphite-3.1.0.jar
fetchArtifact io/dropwizard/metrics/metrics-graphite/3.1.0/metrics-graphite-3.1.0.pom.sha1
fetchArtifact io/dropwizard/metrics/metrics-graphite/3.1.0/metrics-graphite-3.1.0.pom
fetchArtifact io/dropwizard/metrics/metrics-parent/3.1.0/metrics-parent-3.1.0.pom.sha1
fetchArtifact io/dropwizard/metrics/metrics-parent/3.1.0/metrics-parent-3.1.0.pom
fetchArtifact io/netty/netty/3.7.0.Final/netty-3.7.0.Final.jar.sha1
fetchArtifact io/netty/netty/3.7.0.Final/netty-3.7.0.Final.pom
fetchArtifact io/netty/netty/3.7.0.Final/netty-3.7.0.Final.jar
fetchArtifact io/netty/netty/3.7.0.Final/netty-3.7.0.Final.pom.sha1
fetchArtifact io/netty/netty/3.9.0.Final/netty-3.9.0.Final.pom.sha1
fetchArtifact io/netty/netty/3.9.0.Final/netty-3.9.0.Final.jar
fetchArtifact io/netty/netty/3.9.0.Final/netty-3.9.0.Final.pom
fetchArtifact io/netty/netty/3.9.0.Final/netty-3.9.0.Final.jar.sha1
fetchArtifact commons-lang/commons-lang/2.4/commons-lang-2.4.jar.sha1
fetchArtifact commons-lang/commons-lang/2.4/commons-lang-2.4.pom.sha1
fetchArtifact commons-lang/commons-lang/2.4/commons-lang-2.4.jar
fetchArtifact commons-lang/commons-lang/2.4/commons-lang-2.4.pom
fetchArtifact commons-lang/commons-lang/2.6/commons-lang-2.6.pom.sha1
fetchArtifact commons-lang/commons-lang/2.6/commons-lang-2.6.jar.sha1
fetchArtifact commons-lang/commons-lang/2.6/commons-lang-2.6.jar
fetchArtifact commons-lang/commons-lang/2.6/commons-lang-2.6.pom
fetchArtifact commons-lang/commons-lang/2.1/commons-lang-2.1.jar
fetchArtifact commons-lang/commons-lang/2.1/commons-lang-2.1.pom.sha1
fetchArtifact commons-lang/commons-lang/2.1/commons-lang-2.1.pom
fetchArtifact commons-lang/commons-lang/2.1/commons-lang-2.1.jar.sha1
fetchArtifact log4j/log4j/1.2.12/log4j-1.2.12.pom
fetchArtifact log4j/log4j/1.2.12/log4j-1.2.12.pom.sha1
fetchArtifact log4j/log4j/1.2.16/log4j-1.2.16.jar.sha1
fetchArtifact log4j/log4j/1.2.16/log4j-1.2.16.pom.sha1
fetchArtifact log4j/log4j/1.2.16/log4j-1.2.16.jar
fetchArtifact log4j/log4j/1.2.16/log4j-1.2.16.pom
fetchArtifact log4j/log4j/1.2.17/log4j-1.2.17.pom.sha1
fetchArtifact log4j/log4j/1.2.17/log4j-1.2.17.jar
fetchArtifact log4j/log4j/1.2.17/log4j-1.2.17.jar.sha1
fetchArtifact log4j/log4j/1.2.17/log4j-1.2.17.pom
fetchArtifact commons-logging/commons-logging/1.0.3/commons-logging-1.0.3.pom
fetchArtifact commons-logging/commons-logging/1.0.3/commons-logging-1.0.3.pom.sha1
fetchArtifact commons-logging/commons-logging/1.0.4/commons-logging-1.0.4.pom
fetchArtifact commons-logging/commons-logging/1.0.4/commons-logging-1.0.4.jar
fetchArtifact commons-logging/commons-logging/1.0.4/commons-logging-1.0.4.pom.sha1
fetchArtifact commons-logging/commons-logging/1.0.4/commons-logging-1.0.4.jar.sha1
fetchArtifact commons-logging/commons-logging/1.0/commons-logging-1.0.pom.sha1
fetchArtifact commons-logging/commons-logging/1.0/commons-logging-1.0.pom
fetchArtifact commons-logging/commons-logging/1.1.1/commons-logging-1.1.1.pom.sha1
fetchArtifact commons-logging/commons-logging/1.1.1/commons-logging-1.1.1.pom
fetchArtifact commons-logging/commons-logging-api/1.1/commons-logging-api-1.1.pom
fetchArtifact commons-logging/commons-logging-api/1.1/commons-logging-api-1.1.pom.sha1
fetchArtifact com/google/protobuf/protobuf-java/2.5.0/protobuf-java-2.5.0.pom.sha1
fetchArtifact com/google/protobuf/protobuf-java/2.5.0/protobuf-java-2.5.0.jar
fetchArtifact com/google/protobuf/protobuf-java/2.5.0/protobuf-java-2.5.0.jar.sha1
fetchArtifact com/google/protobuf/protobuf-java/2.5.0/protobuf-java-2.5.0.pom
fetchArtifact com/google/inject/guice-parent/3.0/guice-parent-3.0.pom.sha1
fetchArtifact com/google/inject/guice-parent/3.0/guice-parent-3.0.pom
fetchArtifact com/google/inject/extensions/guice-servlet/3.0/guice-servlet-3.0.pom.sha1
fetchArtifact com/google/inject/extensions/guice-servlet/3.0/guice-servlet-3.0.jar
fetchArtifact com/google/inject/extensions/guice-servlet/3.0/guice-servlet-3.0.jar.sha1
fetchArtifact com/google/inject/extensions/guice-servlet/3.0/guice-servlet-3.0.pom
fetchArtifact com/google/inject/extensions/extensions-parent/3.0/extensions-parent-3.0.pom.sha1
fetchArtifact com/google/inject/extensions/extensions-parent/3.0/extensions-parent-3.0.pom
fetchArtifact com/google/inject/guice/3.0/guice-3.0.jar
fetchArtifact com/google/inject/guice/3.0/guice-3.0.jar.sha1
fetchArtifact com/google/inject/guice/3.0/guice-3.0.pom.sha1
fetchArtifact com/google/inject/guice/3.0/guice-3.0.pom
fetchArtifact com/google/google/1/google-1.pom
fetchArtifact com/google/google/1/google-1.pom.sha1
fetchArtifact com/google/google/5/google-5.pom.sha1
fetchArtifact com/google/google/5/google-5.pom
fetchArtifact com/google/collections/google-collections/1.0/google-collections-1.0.pom
fetchArtifact com/google/collections/google-collections/1.0/google-collections-1.0.pom.sha1
fetchArtifact com/google/code/findbugs/jsr305/2.0.1/jsr305-2.0.1.pom
fetchArtifact com/google/code/findbugs/jsr305/2.0.1/jsr305-2.0.1.jar.sha1
fetchArtifact com/google/code/findbugs/jsr305/2.0.1/jsr305-2.0.1.jar
fetchArtifact com/google/code/findbugs/jsr305/2.0.1/jsr305-2.0.1.pom.sha1
fetchArtifact com/google/code/findbugs/jsr305/1.3.9/jsr305-1.3.9.pom.sha1
fetchArtifact com/google/code/findbugs/jsr305/1.3.9/jsr305-1.3.9.pom
fetchArtifact com/google/code/findbugs/jsr305/1.3.9/jsr305-1.3.9.jar.sha1
fetchArtifact com/google/code/findbugs/jsr305/1.3.9/jsr305-1.3.9.jar
fetchArtifact com/google/guava/guava-parent/15.0/guava-parent-15.0.pom
fetchArtifact com/google/guava/guava-parent/15.0/guava-parent-15.0.pom.sha1
fetchArtifact com/google/guava/guava-parent/13.0.1/guava-parent-13.0.1.pom.sha1
fetchArtifact com/google/guava/guava-parent/13.0.1/guava-parent-13.0.1.pom
fetchArtifact com/google/guava/guava-parent/17.0/guava-parent-17.0.pom.sha1
fetchArtifact com/google/guava/guava-parent/17.0/guava-parent-17.0.pom
fetchArtifact com/google/guava/guava-parent/16.0.1/guava-parent-16.0.1.pom
fetchArtifact com/google/guava/guava-parent/16.0.1/guava-parent-16.0.1.pom.sha1
fetchArtifact com/google/guava/guava-parent/11.0.2/guava-parent-11.0.2.pom
fetchArtifact com/google/guava/guava-parent/11.0.2/guava-parent-11.0.2.pom.sha1
fetchArtifact com/google/guava/guava/15.0/guava-15.0.pom.sha1
fetchArtifact com/google/guava/guava/15.0/guava-15.0.pom
fetchArtifact com/google/guava/guava/13.0.1/guava-13.0.1.pom
fetchArtifact com/google/guava/guava/13.0.1/guava-13.0.1.pom.sha1
fetchArtifact com/google/guava/guava/17.0/guava-17.0.pom
fetchArtifact com/google/guava/guava/17.0/guava-17.0.pom.sha1
fetchArtifact com/google/guava/guava/16.0.1/guava-16.0.1.pom.sha1
fetchArtifact com/google/guava/guava/16.0.1/guava-16.0.1.pom
fetchArtifact com/google/guava/guava/16.0.1/guava-16.0.1.jar
fetchArtifact com/google/guava/guava/16.0.1/guava-16.0.1.jar.sha1
fetchArtifact com/google/guava/guava/11.0.2/guava-11.0.2.jar.sha1
fetchArtifact com/google/guava/guava/11.0.2/guava-11.0.2.pom
fetchArtifact com/google/guava/guava/11.0.2/guava-11.0.2.jar
fetchArtifact com/google/guava/guava/11.0.2/guava-11.0.2.pom.sha1
fetchArtifact com/github/spullara/mustache/java/compiler/0.8.12/compiler-0.8.12.pom
fetchArtifact com/github/spullara/mustache/java/compiler/0.8.12/compiler-0.8.12.pom.sha1
fetchArtifact com/github/spullara/mustache/java/compiler/0.8.12/compiler-0.8.12.jar
fetchArtifact com/github/spullara/mustache/java/compiler/0.8.12/compiler-0.8.12.jar.sha1
fetchArtifact com/github/spullara/mustache/java/mustache.java/0.8.12/mustache.java-0.8.12.pom
fetchArtifact com/github/spullara/mustache/java/mustache.java/0.8.12/mustache.java-0.8.12.pom.sha1
fetchArtifact com/codahale/metrics/metrics-servlets/3.0.2/metrics-servlets-3.0.2.jar
fetchArtifact com/codahale/metrics/metrics-servlets/3.0.2/metrics-servlets-3.0.2.pom.sha1
fetchArtifact com/codahale/metrics/metrics-servlets/3.0.2/metrics-servlets-3.0.2.jar.sha1
fetchArtifact com/codahale/metrics/metrics-servlets/3.0.2/metrics-servlets-3.0.2.pom
fetchArtifact com/codahale/metrics/metrics-annotation/3.0.2/metrics-annotation-3.0.2.jar.sha1
fetchArtifact com/codahale/metrics/metrics-annotation/3.0.2/metrics-annotation-3.0.2.pom
fetchArtifact com/codahale/metrics/metrics-annotation/3.0.2/metrics-annotation-3.0.2.pom.sha1
fetchArtifact com/codahale/metrics/metrics-annotation/3.0.2/metrics-annotation-3.0.2.jar
fetchArtifact com/codahale/metrics/metrics-jvm/3.0.2/metrics-jvm-3.0.2.pom
fetchArtifact com/codahale/metrics/metrics-jvm/3.0.2/metrics-jvm-3.0.2.pom.sha1
fetchArtifact com/codahale/metrics/metrics-jvm/3.0.2/metrics-jvm-3.0.2.jar.sha1
fetchArtifact com/codahale/metrics/metrics-jvm/3.0.2/metrics-jvm-3.0.2.jar
fetchArtifact com/codahale/metrics/metrics-json/3.0.2/metrics-json-3.0.2.jar.sha1
fetchArtifact com/codahale/metrics/metrics-json/3.0.2/metrics-json-3.0.2.pom
fetchArtifact com/codahale/metrics/metrics-json/3.0.2/metrics-json-3.0.2.jar
fetchArtifact com/codahale/metrics/metrics-json/3.0.2/metrics-json-3.0.2.pom.sha1
fetchArtifact com/codahale/metrics/metrics-jersey/3.0.2/metrics-jersey-3.0.2.pom.sha1
fetchArtifact com/codahale/metrics/metrics-jersey/3.0.2/metrics-jersey-3.0.2.jar
fetchArtifact com/codahale/metrics/metrics-jersey/3.0.2/metrics-jersey-3.0.2.jar.sha1
fetchArtifact com/codahale/metrics/metrics-jersey/3.0.2/metrics-jersey-3.0.2.pom
fetchArtifact com/codahale/metrics/metrics-jetty8/3.0.2/metrics-jetty8-3.0.2.pom.sha1
fetchArtifact com/codahale/metrics/metrics-jetty8/3.0.2/metrics-jetty8-3.0.2.jar
fetchArtifact com/codahale/metrics/metrics-jetty8/3.0.2/metrics-jetty8-3.0.2.jar.sha1
fetchArtifact com/codahale/metrics/metrics-jetty8/3.0.2/metrics-jetty8-3.0.2.pom
fetchArtifact com/codahale/metrics/metrics-healthchecks/3.0.2/metrics-healthchecks-3.0.2.jar.sha1
fetchArtifact com/codahale/metrics/metrics-healthchecks/3.0.2/metrics-healthchecks-3.0.2.pom.sha1
fetchArtifact com/codahale/metrics/metrics-healthchecks/3.0.2/metrics-healthchecks-3.0.2.jar
fetchArtifact com/codahale/metrics/metrics-healthchecks/3.0.2/metrics-healthchecks-3.0.2.pom
fetchArtifact com/codahale/metrics/metrics-parent/3.0.2/metrics-parent-3.0.2.pom.sha1
fetchArtifact com/codahale/metrics/metrics-parent/3.0.2/metrics-parent-3.0.2.pom
fetchArtifact com/fasterxml/jackson/jaxrs/jackson-jaxrs-base/2.4.1/jackson-jaxrs-base-2.4.1.pom
fetchArtifact com/fasterxml/jackson/jaxrs/jackson-jaxrs-base/2.4.1/jackson-jaxrs-base-2.4.1.pom.sha1
fetchArtifact com/fasterxml/jackson/jaxrs/jackson-jaxrs-base/2.4.1/jackson-jaxrs-base-2.4.1.jar
fetchArtifact com/fasterxml/jackson/jaxrs/jackson-jaxrs-base/2.4.1/jackson-jaxrs-base-2.4.1.jar.sha1
fetchArtifact com/fasterxml/jackson/jaxrs/jackson-jaxrs-json-provider/2.4.1/jackson-jaxrs-json-provider-2.4.1.pom.sha1
fetchArtifact com/fasterxml/jackson/jaxrs/jackson-jaxrs-json-provider/2.4.1/jackson-jaxrs-json-provider-2.4.1.jar.sha1
fetchArtifact com/fasterxml/jackson/jaxrs/jackson-jaxrs-json-provider/2.4.1/jackson-jaxrs-json-provider-2.4.1.pom
fetchArtifact com/fasterxml/jackson/jaxrs/jackson-jaxrs-json-provider/2.4.1/jackson-jaxrs-json-provider-2.4.1.jar
fetchArtifact com/fasterxml/jackson/jaxrs/jackson-jaxrs-providers/2.4.1/jackson-jaxrs-providers-2.4.1.pom.sha1
fetchArtifact com/fasterxml/jackson/jaxrs/jackson-jaxrs-providers/2.4.1/jackson-jaxrs-providers-2.4.1.pom
fetchArtifact com/fasterxml/jackson/core/jackson-annotations/2.4.1/jackson-annotations-2.4.1.jar
fetchArtifact com/fasterxml/jackson/core/jackson-annotations/2.4.1/jackson-annotations-2.4.1.pom
fetchArtifact com/fasterxml/jackson/core/jackson-annotations/2.4.1/jackson-annotations-2.4.1.pom.sha1
fetchArtifact com/fasterxml/jackson/core/jackson-annotations/2.4.1/jackson-annotations-2.4.1.jar.sha1
fetchArtifact com/fasterxml/jackson/core/jackson-annotations/2.4.0/jackson-annotations-2.4.0.pom
fetchArtifact com/fasterxml/jackson/core/jackson-annotations/2.4.0/jackson-annotations-2.4.0.pom.sha1
fetchArtifact com/fasterxml/jackson/core/jackson-annotations/2.2.2/jackson-annotations-2.2.2.pom
fetchArtifact com/fasterxml/jackson/core/jackson-annotations/2.2.2/jackson-annotations-2.2.2.pom.sha1
fetchArtifact com/fasterxml/jackson/core/jackson-databind/2.4.1/jackson-databind-2.4.1.pom.sha1
fetchArtifact com/fasterxml/jackson/core/jackson-databind/2.4.1/jackson-databind-2.4.1.pom
fetchArtifact com/fasterxml/jackson/core/jackson-databind/2.4.1.1/jackson-databind-2.4.1.1.jar.sha1
fetchArtifact com/fasterxml/jackson/core/jackson-databind/2.4.1.1/jackson-databind-2.4.1.1.jar
fetchArtifact com/fasterxml/jackson/core/jackson-databind/2.4.1.1/jackson-databind-2.4.1.1.pom.sha1
fetchArtifact com/fasterxml/jackson/core/jackson-databind/2.4.1.1/jackson-databind-2.4.1.1.pom
fetchArtifact com/fasterxml/jackson/core/jackson-databind/2.2.2/jackson-databind-2.2.2.pom.sha1
fetchArtifact com/fasterxml/jackson/core/jackson-databind/2.2.2/jackson-databind-2.2.2.pom
fetchArtifact com/fasterxml/jackson/core/jackson-core/2.3.0/jackson-core-2.3.0.pom
fetchArtifact com/fasterxml/jackson/core/jackson-core/2.3.0/jackson-core-2.3.0.jar.sha1
fetchArtifact com/fasterxml/jackson/core/jackson-core/2.3.0/jackson-core-2.3.0.pom.sha1
fetchArtifact com/fasterxml/jackson/core/jackson-core/2.3.0/jackson-core-2.3.0.jar
fetchArtifact com/fasterxml/jackson/core/jackson-core/2.4.1/jackson-core-2.4.1.pom.sha1
fetchArtifact com/fasterxml/jackson/core/jackson-core/2.4.1/jackson-core-2.4.1.pom
fetchArtifact com/fasterxml/jackson/core/jackson-core/2.2.2/jackson-core-2.2.2.pom
fetchArtifact com/fasterxml/jackson/core/jackson-core/2.2.2/jackson-core-2.2.2.pom.sha1
fetchArtifact com/fasterxml/jackson/jackson-parent/2.4/jackson-parent-2.4.pom
fetchArtifact com/fasterxml/jackson/jackson-parent/2.4/jackson-parent-2.4.pom.sha1
fetchArtifact com/fasterxml/jackson/module/jackson-module-scala_2.11/2.4.1/jackson-module-scala_2.11-2.4.1.pom
fetchArtifact com/fasterxml/jackson/module/jackson-module-scala_2.11/2.4.1/jackson-module-scala_2.11-2.4.1.jar
fetchArtifact com/fasterxml/jackson/module/jackson-module-scala_2.11/2.4.1/jackson-module-scala_2.11-2.4.1.pom.sha1
fetchArtifact com/fasterxml/jackson/module/jackson-module-scala_2.11/2.4.1/jackson-module-scala_2.11-2.4.1.jar.sha1
fetchArtifact com/fasterxml/jackson/module/jackson-module-jaxb-annotations/2.4.1/jackson-module-jaxb-annotations-2.4.1.jar
fetchArtifact com/fasterxml/jackson/module/jackson-module-jaxb-annotations/2.4.1/jackson-module-jaxb-annotations-2.4.1.pom.sha1
fetchArtifact com/fasterxml/jackson/module/jackson-module-jaxb-annotations/2.4.1/jackson-module-jaxb-annotations-2.4.1.jar.sha1
fetchArtifact com/fasterxml/jackson/module/jackson-module-jaxb-annotations/2.4.1/jackson-module-jaxb-annotations-2.4.1.pom
fetchArtifact com/fasterxml/oss-parent/16/oss-parent-16.pom
fetchArtifact com/fasterxml/oss-parent/16/oss-parent-16.pom.sha1
fetchArtifact com/fasterxml/oss-parent/11/oss-parent-11.pom.sha1
fetchArtifact com/fasterxml/oss-parent/11/oss-parent-11.pom
fetchArtifact com/fasterxml/oss-parent/10/oss-parent-10.pom.sha1
fetchArtifact com/fasterxml/oss-parent/10/oss-parent-10.pom
fetchArtifact com/fasterxml/classmate/1.0.0/classmate-1.0.0.pom.sha1
fetchArtifact com/fasterxml/classmate/1.0.0/classmate-1.0.0.jar
fetchArtifact com/fasterxml/classmate/1.0.0/classmate-1.0.0.pom
fetchArtifact com/fasterxml/classmate/1.0.0/classmate-1.0.0.jar.sha1
fetchArtifact com/datastax/cassandra/cassandra-driver-core/2.1.0/cassandra-driver-core-2.1.0.jar
fetchArtifact com/datastax/cassandra/cassandra-driver-core/2.1.0/cassandra-driver-core-2.1.0.pom.sha1
fetchArtifact com/datastax/cassandra/cassandra-driver-core/2.1.0/cassandra-driver-core-2.1.0.pom
fetchArtifact com/datastax/cassandra/cassandra-driver-core/2.1.0/cassandra-driver-core-2.1.0.jar.sha1
fetchArtifact com/datastax/cassandra/cassandra-driver-parent/2.1.0/cassandra-driver-parent-2.1.0.pom.sha1
fetchArtifact com/datastax/cassandra/cassandra-driver-parent/2.1.0/cassandra-driver-parent-2.1.0.pom
fetchArtifact com/typesafe/sbt/compiler-interface/0.12.0/compiler-interface-0.12.0.pom.sha1
fetchArtifact com/typesafe/sbt/compiler-interface/0.12.0/compiler-interface-0.12.0-sources.jar
fetchArtifact com/typesafe/sbt/compiler-interface/0.12.0/compiler-interface-0.12.0.pom
fetchArtifact com/typesafe/sbt/compiler-interface/0.12.0/compiler-interface-0.12.0-sources.jar.sha1
fetchArtifact com/typesafe/sbt/sbt-interface/0.12.0/sbt-interface-0.12.0.jar.sha1
fetchArtifact com/typesafe/sbt/sbt-interface/0.12.0/sbt-interface-0.12.0.jar
fetchArtifact com/typesafe/sbt/sbt-interface/0.12.0/sbt-interface-0.12.0.pom
fetchArtifact com/typesafe/sbt/sbt-interface/0.12.0/sbt-interface-0.12.0.pom.sha1
fetchArtifact com/typesafe/sbt/incremental-compiler/0.12.0/incremental-compiler-0.12.0.jar.sha1
fetchArtifact com/typesafe/sbt/incremental-compiler/0.12.0/incremental-compiler-0.12.0.pom.sha1
fetchArtifact com/typesafe/sbt/incremental-compiler/0.12.0/incremental-compiler-0.12.0.jar
fetchArtifact com/typesafe/sbt/incremental-compiler/0.12.0/incremental-compiler-0.12.0.pom
fetchArtifact com/typesafe/config/1.2.1/config-1.2.1.pom.sha1
fetchArtifact com/typesafe/config/1.2.1/config-1.2.1.jar.sha1
fetchArtifact com/typesafe/config/1.2.1/config-1.2.1.pom
fetchArtifact com/typesafe/config/1.2.1/config-1.2.1.jar
fetchArtifact com/typesafe/zinc/zinc/0.1.0/zinc-0.1.0.jar
fetchArtifact com/typesafe/zinc/zinc/0.1.0/zinc-0.1.0.pom.sha1
fetchArtifact com/typesafe/zinc/zinc/0.1.0/zinc-0.1.0.pom
fetchArtifact com/typesafe/zinc/zinc/0.1.0/zinc-0.1.0.jar.sha1
fetchArtifact com/typesafe/akka/akka-actor_2.11/2.3.6/akka-actor_2.11-2.3.6.pom.sha1
fetchArtifact com/typesafe/akka/akka-actor_2.11/2.3.6/akka-actor_2.11-2.3.6.jar.sha1
fetchArtifact com/typesafe/akka/akka-actor_2.11/2.3.6/akka-actor_2.11-2.3.6.pom
fetchArtifact com/typesafe/akka/akka-actor_2.11/2.3.6/akka-actor_2.11-2.3.6.jar
fetchArtifact com/thoughtworks/paranamer/paranamer-parent/2.6/paranamer-parent-2.6.pom.sha1
fetchArtifact com/thoughtworks/paranamer/paranamer-parent/2.6/paranamer-parent-2.6.pom
fetchArtifact com/thoughtworks/paranamer/paranamer/2.6/paranamer-2.6.pom
fetchArtifact com/thoughtworks/paranamer/paranamer/2.6/paranamer-2.6.jar.sha1
fetchArtifact com/thoughtworks/paranamer/paranamer/2.6/paranamer-2.6.pom.sha1
fetchArtifact com/thoughtworks/paranamer/paranamer/2.6/paranamer-2.6.jar
fetchArtifact com/sun/jersey/jersey-server/1.18.1/jersey-server-1.18.1.pom
fetchArtifact com/sun/jersey/jersey-server/1.18.1/jersey-server-1.18.1.jar.sha1
fetchArtifact com/sun/jersey/jersey-server/1.18.1/jersey-server-1.18.1.pom.sha1
fetchArtifact com/sun/jersey/jersey-server/1.18.1/jersey-server-1.18.1.jar
fetchArtifact com/sun/jersey/jersey-server/1.17.1/jersey-server-1.17.1.pom.sha1
fetchArtifact com/sun/jersey/jersey-server/1.17.1/jersey-server-1.17.1.pom
fetchArtifact com/sun/jersey/jersey-servlet/1.18.1/jersey-servlet-1.18.1.jar.sha1
fetchArtifact com/sun/jersey/jersey-servlet/1.18.1/jersey-servlet-1.18.1.jar
fetchArtifact com/sun/jersey/jersey-servlet/1.18.1/jersey-servlet-1.18.1.pom
fetchArtifact com/sun/jersey/jersey-servlet/1.18.1/jersey-servlet-1.18.1.pom.sha1
fetchArtifact com/sun/jersey/jersey-core/1.18.1/jersey-core-1.18.1.pom.sha1
fetchArtifact com/sun/jersey/jersey-core/1.18.1/jersey-core-1.18.1.jar
fetchArtifact com/sun/jersey/jersey-core/1.18.1/jersey-core-1.18.1.pom
fetchArtifact com/sun/jersey/jersey-core/1.18.1/jersey-core-1.18.1.jar.sha1
fetchArtifact com/sun/jersey/jersey-core/1.17.1/jersey-core-1.17.1.pom
fetchArtifact com/sun/jersey/jersey-core/1.17.1/jersey-core-1.17.1.pom.sha1
fetchArtifact com/sun/jersey/jersey-project/1.18.1/jersey-project-1.18.1.pom.sha1
fetchArtifact com/sun/jersey/jersey-project/1.18.1/jersey-project-1.18.1.pom
fetchArtifact com/sun/jersey/jersey-project/1.17.1/jersey-project-1.17.1.pom.sha1
fetchArtifact com/sun/jersey/jersey-project/1.17.1/jersey-project-1.17.1.pom
fetchArtifact com/sun/jersey/contribs/jersey-guice/1.18.1/jersey-guice-1.18.1.pom.sha1
fetchArtifact com/sun/jersey/contribs/jersey-guice/1.18.1/jersey-guice-1.18.1.jar.sha1
fetchArtifact com/sun/jersey/contribs/jersey-guice/1.18.1/jersey-guice-1.18.1.jar
fetchArtifact com/sun/jersey/contribs/jersey-guice/1.18.1/jersey-guice-1.18.1.pom
fetchArtifact com/sun/jersey/contribs/jersey-contribs/1.18.1/jersey-contribs-1.18.1.pom
fetchArtifact com/sun/jersey/contribs/jersey-contribs/1.18.1/jersey-contribs-1.18.1.pom.sha1
fetchArtifact com/sun/mail/all/1.4.5/all-1.4.5.pom
fetchArtifact com/sun/mail/all/1.4.5/all-1.4.5.pom.sha1
fetchArtifact commons-digester/commons-digester/1.6/commons-digester-1.6.jar
fetchArtifact commons-digester/commons-digester/1.6/commons-digester-1.6.pom
fetchArtifact commons-digester/commons-digester/1.6/commons-digester-1.6.jar.sha1
fetchArtifact commons-digester/commons-digester/1.6/commons-digester-1.6.pom.sha1
fetchArtifact backport-util-concurrent/backport-util-concurrent/3.1/backport-util-concurrent-3.1.pom.sha1
fetchArtifact backport-util-concurrent/backport-util-concurrent/3.1/backport-util-concurrent-3.1.pom
fetchArtifact backport-util-concurrent/backport-util-concurrent/3.1/backport-util-concurrent-3.1.jar
fetchArtifact backport-util-concurrent/backport-util-concurrent/3.1/backport-util-concurrent-3.1.jar.sha1
fetchArtifact jgraph/jgraph/5.13.0.0/jgraph-5.13.0.0.jar
fetchArtifact jgraph/jgraph/5.13.0.0/jgraph-5.13.0.0.pom
fetchArtifact jgraph/jgraph/5.13.0.0/jgraph-5.13.0.0.pom.sha1
fetchArtifact jgraph/jgraph/5.13.0.0/jgraph-5.13.0.0.jar.sha1
fetchArtifact asm/asm-parent/3.3.1/asm-parent-3.3.1.pom
fetchArtifact asm/asm-parent/3.3.1/asm-parent-3.3.1.pom.sha1
fetchArtifact asm/asm-parent/3.1/asm-parent-3.1.pom.sha1
fetchArtifact asm/asm-parent/3.1/asm-parent-3.1.pom
fetchArtifact asm/asm/3.3.1/asm-3.3.1.pom
fetchArtifact asm/asm/3.3.1/asm-3.3.1.jar
fetchArtifact asm/asm/3.3.1/asm-3.3.1.pom.sha1
fetchArtifact asm/asm/3.3.1/asm-3.3.1.jar.sha1
fetchArtifact asm/asm/3.1/asm-3.1.pom.sha1
fetchArtifact asm/asm/3.1/asm-3.1.pom
fetchArtifact jline/jline/0.9.94/jline-0.9.94.pom
fetchArtifact jline/jline/0.9.94/jline-0.9.94.pom.sha1
fetchArtifact jline/jline/0.9.94/jline-0.9.94.jar.sha1
fetchArtifact jline/jline/0.9.94/jline-0.9.94.jar
fetchArtifact xml-apis/xml-apis/1.3.03/xml-apis-1.3.03.pom
fetchArtifact xml-apis/xml-apis/1.3.03/xml-apis-1.3.03.pom.sha1
fetchArtifact xml-apis/xml-apis/1.3.04/xml-apis-1.3.04.pom
fetchArtifact xml-apis/xml-apis/1.3.04/xml-apis-1.3.04.pom.sha1
fetchArtifact xml-apis/xml-apis/2.0.2/xml-apis-2.0.2.pom
fetchArtifact xml-apis/xml-apis/2.0.2/xml-apis-2.0.2.pom.sha1
fetchArtifact xml-apis/xml-apis/1.0.b2/xml-apis-1.0.b2.pom
fetchArtifact xml-apis/xml-apis/1.0.b2/xml-apis-1.0.b2.jar
fetchArtifact xml-apis/xml-apis/1.0.b2/xml-apis-1.0.b2.jar.sha1
fetchArtifact xml-apis/xml-apis/1.0.b2/xml-apis-1.0.b2.pom.sha1
fetchArtifact commons-codec/commons-codec/1.3/commons-codec-1.3.pom.sha1
fetchArtifact commons-codec/commons-codec/1.3/commons-codec-1.3.jar
fetchArtifact commons-codec/commons-codec/1.3/commons-codec-1.3.pom
fetchArtifact commons-codec/commons-codec/1.3/commons-codec-1.3.jar.sha1
fetchArtifact commons-codec/commons-codec/1.2/commons-codec-1.2.pom
fetchArtifact commons-codec/commons-codec/1.2/commons-codec-1.2.pom.sha1
fetchArtifact commons-httpclient/commons-httpclient/3.1/commons-httpclient-3.1.pom
fetchArtifact commons-httpclient/commons-httpclient/3.1/commons-httpclient-3.1.pom.sha1
fetchArtifact org/vafer/jdependency/0.9/jdependency-0.9.jar
fetchArtifact org/vafer/jdependency/0.9/jdependency-0.9.jar.sha1
fetchArtifact org/vafer/jdependency/0.9/jdependency-0.9.pom
fetchArtifact org/vafer/jdependency/0.9/jdependency-0.9.pom.sha1
fetchArtifact org/joda/joda-convert/1.7/joda-convert-1.7.jar.sha1
fetchArtifact org/joda/joda-convert/1.7/joda-convert-1.7.jar
fetchArtifact org/joda/joda-convert/1.7/joda-convert-1.7.pom
fetchArtifact org/joda/joda-convert/1.7/joda-convert-1.7.pom.sha1
fetchArtifact org/mockito/mockito-core/1.9.5/mockito-core-1.9.5.pom
fetchArtifact org/mockito/mockito-core/1.9.5/mockito-core-1.9.5.jar.sha1
fetchArtifact org/mockito/mockito-core/1.9.5/mockito-core-1.9.5.pom.sha1
fetchArtifact org/mockito/mockito-core/1.9.5/mockito-core-1.9.5.jar
fetchArtifact org/mockito/mockito-all/1.9.5/mockito-all-1.9.5.jar
fetchArtifact org/mockito/mockito-all/1.9.5/mockito-all-1.9.5.pom.sha1
fetchArtifact org/mockito/mockito-all/1.9.5/mockito-all-1.9.5.pom
fetchArtifact org/mockito/mockito-all/1.9.5/mockito-all-1.9.5.jar.sha1
fetchArtifact org/javabits/jgrapht/jgrapht-ext/0.9.1/jgrapht-ext-0.9.1.pom.sha1
fetchArtifact org/javabits/jgrapht/jgrapht-ext/0.9.1/jgrapht-ext-0.9.1.jar
fetchArtifact org/javabits/jgrapht/jgrapht-ext/0.9.1/jgrapht-ext-0.9.1.pom
fetchArtifact org/javabits/jgrapht/jgrapht-ext/0.9.1/jgrapht-ext-0.9.1.jar.sha1
fetchArtifact org/javabits/jgrapht/jgrapht-core/0.9.1/jgrapht-core-0.9.1.pom
fetchArtifact org/javabits/jgrapht/jgrapht-core/0.9.1/jgrapht-core-0.9.1.jar
fetchArtifact org/javabits/jgrapht/jgrapht-core/0.9.1/jgrapht-core-0.9.1.jar.sha1
fetchArtifact org/javabits/jgrapht/jgrapht-core/0.9.1/jgrapht-core-0.9.1.pom.sha1
fetchArtifact org/javabits/jgrapht/jgrapht/0.9.1/jgrapht-0.9.1.pom.sha1
fetchArtifact org/javabits/jgrapht/jgrapht/0.9.1/jgrapht-0.9.1.pom
fetchArtifact org/scala-lang/scala-compiler/2.11.2/scala-compiler-2.11.2.pom
fetchArtifact org/scala-lang/scala-compiler/2.11.2/scala-compiler-2.11.2.jar.sha1
fetchArtifact org/scala-lang/scala-compiler/2.11.2/scala-compiler-2.11.2.jar
fetchArtifact org/scala-lang/scala-compiler/2.11.2/scala-compiler-2.11.2.pom.sha1
fetchArtifact org/scala-lang/scala-compiler/2.11.0-RC3/scala-compiler-2.11.0-RC3.jar.sha1
fetchArtifact org/scala-lang/scala-compiler/2.11.0-RC3/scala-compiler-2.11.0-RC3.jar
fetchArtifact org/scala-lang/scala-compiler/2.11.0-RC3/scala-compiler-2.11.0-RC3.pom.sha1
fetchArtifact org/scala-lang/scala-compiler/2.11.0-RC3/scala-compiler-2.11.0-RC3.pom
fetchArtifact org/scala-lang/scala-compiler/2.9.2/scala-compiler-2.9.2.jar
fetchArtifact org/scala-lang/scala-compiler/2.9.2/scala-compiler-2.9.2.pom.sha1
fetchArtifact org/scala-lang/scala-compiler/2.9.2/scala-compiler-2.9.2.pom
fetchArtifact org/scala-lang/scala-compiler/2.9.2/scala-compiler-2.9.2.jar.sha1
fetchArtifact org/scala-lang/scala-library/2.11.1/scala-library-2.11.1.jar.sha1
fetchArtifact org/scala-lang/scala-library/2.11.1/scala-library-2.11.1.jar
fetchArtifact org/scala-lang/scala-library/2.11.1/scala-library-2.11.1.pom
fetchArtifact org/scala-lang/scala-library/2.11.1/scala-library-2.11.1.pom.sha1
fetchArtifact org/scala-lang/scala-library/2.11.2/scala-library-2.11.2.pom.sha1
fetchArtifact org/scala-lang/scala-library/2.11.2/scala-library-2.11.2.jar.sha1
fetchArtifact org/scala-lang/scala-library/2.11.2/scala-library-2.11.2.pom
fetchArtifact org/scala-lang/scala-library/2.11.2/scala-library-2.11.2.jar
fetchArtifact org/scala-lang/scala-library/2.11.0-RC3/scala-library-2.11.0-RC3.pom
fetchArtifact org/scala-lang/scala-library/2.11.0-RC3/scala-library-2.11.0-RC3.pom.sha1
fetchArtifact org/scala-lang/scala-library/2.11.0-RC3/scala-library-2.11.0-RC3.jar
fetchArtifact org/scala-lang/scala-library/2.11.0-RC3/scala-library-2.11.0-RC3.jar.sha1
fetchArtifact org/scala-lang/scala-library/2.11.0/scala-library-2.11.0.pom
fetchArtifact org/scala-lang/scala-library/2.11.0/scala-library-2.11.0.pom.sha1
fetchArtifact org/scala-lang/scala-library/2.9.2/scala-library-2.9.2.pom.sha1
fetchArtifact org/scala-lang/scala-library/2.9.2/scala-library-2.9.2.pom
fetchArtifact org/scala-lang/scala-library/2.9.2/scala-library-2.9.2.jar.sha1
fetchArtifact org/scala-lang/scala-library/2.9.2/scala-library-2.9.2.jar
fetchArtifact org/scala-lang/scala-reflect/2.11.1/scala-reflect-2.11.1.pom.sha1
fetchArtifact org/scala-lang/scala-reflect/2.11.1/scala-reflect-2.11.1.pom
fetchArtifact org/scala-lang/scala-reflect/2.11.2/scala-reflect-2.11.2.jar
fetchArtifact org/scala-lang/scala-reflect/2.11.2/scala-reflect-2.11.2.jar.sha1
fetchArtifact org/scala-lang/scala-reflect/2.11.2/scala-reflect-2.11.2.pom
fetchArtifact org/scala-lang/scala-reflect/2.11.2/scala-reflect-2.11.2.pom.sha1
fetchArtifact org/scala-lang/scala-reflect/2.11.0-RC3/scala-reflect-2.11.0-RC3.pom.sha1
fetchArtifact org/scala-lang/scala-reflect/2.11.0-RC3/scala-reflect-2.11.0-RC3.jar.sha1
fetchArtifact org/scala-lang/scala-reflect/2.11.0-RC3/scala-reflect-2.11.0-RC3.pom
fetchArtifact org/scala-lang/scala-reflect/2.11.0-RC3/scala-reflect-2.11.0-RC3.jar
fetchArtifact org/scala-lang/scala-reflect/2.11.0/scala-reflect-2.11.0.pom.sha1
fetchArtifact org/scala-lang/scala-reflect/2.11.0/scala-reflect-2.11.0.pom
fetchArtifact org/scala-lang/modules/scala-xml_2.11.0-RC3/1.0.1/scala-xml_2.11.0-RC3-1.0.1.pom
fetchArtifact org/scala-lang/modules/scala-xml_2.11.0-RC3/1.0.1/scala-xml_2.11.0-RC3-1.0.1.pom.sha1
fetchArtifact org/scala-lang/modules/scala-xml_2.11.0-RC3/1.0.1/scala-xml_2.11.0-RC3-1.0.1.jar
fetchArtifact org/scala-lang/modules/scala-xml_2.11.0-RC3/1.0.1/scala-xml_2.11.0-RC3-1.0.1.jar.sha1
fetchArtifact org/scala-lang/modules/scala-parser-combinators_2.11.0-RC3/1.0.1/scala-parser-combinators_2.11.0-RC3-1.0.1.jar.sha1
fetchArtifact org/scala-lang/modules/scala-parser-combinators_2.11.0-RC3/1.0.1/scala-parser-combinators_2.11.0-RC3-1.0.1.jar
fetchArtifact org/scala-lang/modules/scala-parser-combinators_2.11.0-RC3/1.0.1/scala-parser-combinators_2.11.0-RC3-1.0.1.pom
fetchArtifact org/scala-lang/modules/scala-parser-combinators_2.11.0-RC3/1.0.1/scala-parser-combinators_2.11.0-RC3-1.0.1.pom.sha1
fetchArtifact org/scala-lang/modules/scala-parser-combinators_2.11/1.0.1/scala-parser-combinators_2.11-1.0.1.pom.sha1
fetchArtifact org/scala-lang/modules/scala-parser-combinators_2.11/1.0.1/scala-parser-combinators_2.11-1.0.1.pom
fetchArtifact org/scala-lang/modules/scala-parser-combinators_2.11/1.0.1/scala-parser-combinators_2.11-1.0.1.jar.sha1
fetchArtifact org/scala-lang/modules/scala-parser-combinators_2.11/1.0.1/scala-parser-combinators_2.11-1.0.1.jar
fetchArtifact org/scala-lang/modules/scala-parser-combinators_2.11/1.0.2/scala-parser-combinators_2.11-1.0.2.jar.sha1
fetchArtifact org/scala-lang/modules/scala-parser-combinators_2.11/1.0.2/scala-parser-combinators_2.11-1.0.2.jar
fetchArtifact org/scala-lang/modules/scala-parser-combinators_2.11/1.0.2/scala-parser-combinators_2.11-1.0.2.pom.sha1
fetchArtifact org/scala-lang/modules/scala-parser-combinators_2.11/1.0.2/scala-parser-combinators_2.11-1.0.2.pom
fetchArtifact org/scala-lang/modules/scala-xml_2.11/1.0.1/scala-xml_2.11-1.0.1.jar.sha1
fetchArtifact org/scala-lang/modules/scala-xml_2.11/1.0.1/scala-xml_2.11-1.0.1.pom
fetchArtifact org/scala-lang/modules/scala-xml_2.11/1.0.1/scala-xml_2.11-1.0.1.jar
fetchArtifact org/scala-lang/modules/scala-xml_2.11/1.0.1/scala-xml_2.11-1.0.1.pom.sha1
fetchArtifact org/scala-lang/modules/scala-xml_2.11/1.0.2/scala-xml_2.11-1.0.2.pom.sha1
fetchArtifact org/scala-lang/modules/scala-xml_2.11/1.0.2/scala-xml_2.11-1.0.2.jar.sha1
fetchArtifact org/scala-lang/modules/scala-xml_2.11/1.0.2/scala-xml_2.11-1.0.2.pom
fetchArtifact org/scala-lang/modules/scala-xml_2.11/1.0.2/scala-xml_2.11-1.0.2.jar
fetchArtifact org/scala-sbt/test-interface/1.0/test-interface-1.0.jar.sha1
fetchArtifact org/scala-sbt/test-interface/1.0/test-interface-1.0.pom.sha1
fetchArtifact org/scala-sbt/test-interface/1.0/test-interface-1.0.pom
fetchArtifact org/scala-sbt/test-interface/1.0/test-interface-1.0.jar
fetchArtifact org/specs2/specs2_2.11.0-RC3/2.3.10/specs2_2.11.0-RC3-2.3.10.jar.sha1
fetchArtifact org/specs2/specs2_2.11.0-RC3/2.3.10/specs2_2.11.0-RC3-2.3.10.pom.sha1
fetchArtifact org/specs2/specs2_2.11.0-RC3/2.3.10/specs2_2.11.0-RC3-2.3.10.pom
fetchArtifact org/specs2/specs2_2.11.0-RC3/2.3.10/specs2_2.11.0-RC3-2.3.10.jar
fetchArtifact org/specs2/classycle/1.4.3/classycle-1.4.3.jar
fetchArtifact org/specs2/classycle/1.4.3/classycle-1.4.3.pom
fetchArtifact org/specs2/classycle/1.4.3/classycle-1.4.3.jar.sha1
fetchArtifact org/specs2/classycle/1.4.3/classycle-1.4.3.pom.sha1
fetchArtifact org/jdom/jdom/1.1/jdom-1.1.pom
fetchArtifact org/jdom/jdom/1.1/jdom-1.1.jar
fetchArtifact org/jdom/jdom/1.1/jdom-1.1.jar.sha1
fetchArtifact org/jdom/jdom/1.1/jdom-1.1.pom.sha1
fetchArtifact org/jboss/shrinkwrap/shrinkwrap-bom/1.0.1/shrinkwrap-bom-1.0.1.pom
fetchArtifact org/jboss/shrinkwrap/shrinkwrap-bom/1.0.1/shrinkwrap-bom-1.0.1.pom.sha1
fetchArtifact org/jboss/shrinkwrap/descriptors/shrinkwrap-descriptors-bom/2.0.0-alpha-3/shrinkwrap-descriptors-bom-2.0.0-alpha-3.pom.sha1
fetchArtifact org/jboss/shrinkwrap/descriptors/shrinkwrap-descriptors-bom/2.0.0-alpha-3/shrinkwrap-descriptors-bom-2.0.0-alpha-3.pom
fetchArtifact org/jboss/shrinkwrap/resolver/shrinkwrap-resolver-bom/1.0.0-beta-7/shrinkwrap-resolver-bom-1.0.0-beta-7.pom
fetchArtifact org/jboss/shrinkwrap/resolver/shrinkwrap-resolver-bom/1.0.0-beta-7/shrinkwrap-resolver-bom-1.0.0-beta-7.pom.sha1
fetchArtifact org/jboss/jboss-parent/9/jboss-parent-9.pom.sha1
fetchArtifact org/jboss/jboss-parent/9/jboss-parent-9.pom
fetchArtifact org/jboss/logging/jboss-logging/3.1.3.GA/jboss-logging-3.1.3.GA.pom
fetchArtifact org/jboss/logging/jboss-logging/3.1.3.GA/jboss-logging-3.1.3.GA.jar
fetchArtifact org/jboss/logging/jboss-logging/3.1.3.GA/jboss-logging-3.1.3.GA.jar.sha1
fetchArtifact org/jboss/logging/jboss-logging/3.1.3.GA/jboss-logging-3.1.3.GA.pom.sha1
fetchArtifact org/jboss/arquillian/arquillian-bom/1.0.2.Final/arquillian-bom-1.0.2.Final.pom
fetchArtifact org/jboss/arquillian/arquillian-bom/1.0.2.Final/arquillian-bom-1.0.2.Final.pom.sha1
fetchArtifact org/rogach/scallop_2.11/0.9.5/scallop_2.11-0.9.5.jar.sha1
fetchArtifact org/rogach/scallop_2.11/0.9.5/scallop_2.11-0.9.5.pom
fetchArtifact org/rogach/scallop_2.11/0.9.5/scallop_2.11-0.9.5.pom.sha1
fetchArtifact org/rogach/scallop_2.11/0.9.5/scallop_2.11-0.9.5.jar
fetchArtifact org/scalacheck/scalacheck_2.11.0-RC3/1.11.3/scalacheck_2.11.0-RC3-1.11.3.pom
fetchArtifact org/scalacheck/scalacheck_2.11.0-RC3/1.11.3/scalacheck_2.11.0-RC3-1.11.3.jar.sha1
fetchArtifact org/scalacheck/scalacheck_2.11.0-RC3/1.11.3/scalacheck_2.11.0-RC3-1.11.3.jar
fetchArtifact org/scalacheck/scalacheck_2.11.0-RC3/1.11.3/scalacheck_2.11.0-RC3-1.11.3.pom.sha1
fetchArtifact org/tinyjee/jgraphx/jgraphx/2.0.0.1/jgraphx-2.0.0.1.jar.sha1
fetchArtifact org/tinyjee/jgraphx/jgraphx/2.0.0.1/jgraphx-2.0.0.1.pom
fetchArtifact org/tinyjee/jgraphx/jgraphx/2.0.0.1/jgraphx-2.0.0.1.jar
fetchArtifact org/tinyjee/jgraphx/jgraphx/2.0.0.1/jgraphx-2.0.0.1.pom.sha1
fetchArtifact org/hibernate/hibernate-validator/5.1.2.Final/hibernate-validator-5.1.2.Final.jar
fetchArtifact org/hibernate/hibernate-validator/5.1.2.Final/hibernate-validator-5.1.2.Final.pom
fetchArtifact org/hibernate/hibernate-validator/5.1.2.Final/hibernate-validator-5.1.2.Final.jar.sha1
fetchArtifact org/hibernate/hibernate-validator/5.1.2.Final/hibernate-validator-5.1.2.Final.pom.sha1
fetchArtifact org/hibernate/hibernate-validator-parent/5.1.2.Final/hibernate-validator-parent-5.1.2.Final.pom.sha1
fetchArtifact org/hibernate/hibernate-validator-parent/5.1.2.Final/hibernate-validator-parent-5.1.2.Final.pom
fetchArtifact org/slf4j/slf4j-api/1.7.5/slf4j-api-1.7.5.pom.sha1
fetchArtifact org/slf4j/slf4j-api/1.7.5/slf4j-api-1.7.5.pom
fetchArtifact org/slf4j/slf4j-api/1.7.7/slf4j-api-1.7.7.jar
fetchArtifact org/slf4j/slf4j-api/1.7.7/slf4j-api-1.7.7.pom
fetchArtifact org/slf4j/slf4j-api/1.7.7/slf4j-api-1.7.7.pom.sha1
fetchArtifact org/slf4j/slf4j-api/1.7.7/slf4j-api-1.7.7.jar.sha1
fetchArtifact org/slf4j/slf4j-api/1.7.6/slf4j-api-1.7.6.pom
fetchArtifact org/slf4j/slf4j-api/1.7.6/slf4j-api-1.7.6.pom.sha1
fetchArtifact org/slf4j/slf4j-api/1.6.1/slf4j-api-1.6.1.jar
fetchArtifact org/slf4j/slf4j-api/1.6.1/slf4j-api-1.6.1.pom
fetchArtifact org/slf4j/slf4j-api/1.6.1/slf4j-api-1.6.1.pom.sha1
fetchArtifact org/slf4j/slf4j-api/1.6.1/slf4j-api-1.6.1.jar.sha1
fetchArtifact org/slf4j/jul-to-slf4j/1.7.7/jul-to-slf4j-1.7.7.jar.sha1
fetchArtifact org/slf4j/jul-to-slf4j/1.7.7/jul-to-slf4j-1.7.7.pom.sha1
fetchArtifact org/slf4j/jul-to-slf4j/1.7.7/jul-to-slf4j-1.7.7.pom
fetchArtifact org/slf4j/jul-to-slf4j/1.7.7/jul-to-slf4j-1.7.7.jar
fetchArtifact org/slf4j/slf4j-parent/1.7.5/slf4j-parent-1.7.5.pom
fetchArtifact org/slf4j/slf4j-parent/1.7.5/slf4j-parent-1.7.5.pom.sha1
fetchArtifact org/slf4j/slf4j-parent/1.7.7/slf4j-parent-1.7.7.pom
fetchArtifact org/slf4j/slf4j-parent/1.7.7/slf4j-parent-1.7.7.pom.sha1
fetchArtifact org/slf4j/slf4j-parent/1.7.6/slf4j-parent-1.7.6.pom.sha1
fetchArtifact org/slf4j/slf4j-parent/1.7.6/slf4j-parent-1.7.6.pom
fetchArtifact org/slf4j/slf4j-parent/1.6.1/slf4j-parent-1.6.1.pom
fetchArtifact org/slf4j/slf4j-parent/1.6.1/slf4j-parent-1.6.1.pom.sha1
fetchArtifact org/slf4j/slf4j-log4j12/1.7.7/slf4j-log4j12-1.7.7.jar
fetchArtifact org/slf4j/slf4j-log4j12/1.7.7/slf4j-log4j12-1.7.7.pom
fetchArtifact org/slf4j/slf4j-log4j12/1.7.7/slf4j-log4j12-1.7.7.jar.sha1
fetchArtifact org/slf4j/slf4j-log4j12/1.7.7/slf4j-log4j12-1.7.7.pom.sha1
fetchArtifact org/apache/xbean/xbean/3.4/xbean-3.4.pom.sha1
fetchArtifact org/apache/xbean/xbean/3.4/xbean-3.4.pom
fetchArtifact org/apache/xbean/xbean-reflect/3.4/xbean-reflect-3.4.pom.sha1
fetchArtifact org/apache/xbean/xbean-reflect/3.4/xbean-reflect-3.4.pom
fetchArtifact org/apache/httpcomponents/httpcore/4.0.1/httpcore-4.0.1.jar.sha1
fetchArtifact org/apache/httpcomponents/httpcore/4.0.1/httpcore-4.0.1.pom.sha1
fetchArtifact org/apache/httpcomponents/httpcore/4.0.1/httpcore-4.0.1.jar
fetchArtifact org/apache/httpcomponents/httpcore/4.0.1/httpcore-4.0.1.pom
fetchArtifact org/apache/httpcomponents/httpcomponents-core/4.0.1/httpcomponents-core-4.0.1.pom.sha1
fetchArtifact org/apache/httpcomponents/httpcomponents-core/4.0.1/httpcomponents-core-4.0.1.pom
fetchArtifact org/apache/httpcomponents/httpclient/4.0.2/httpclient-4.0.2.pom
fetchArtifact org/apache/httpcomponents/httpclient/4.0.2/httpclient-4.0.2.jar.sha1
fetchArtifact org/apache/httpcomponents/httpclient/4.0.2/httpclient-4.0.2.pom.sha1
fetchArtifact org/apache/httpcomponents/httpclient/4.0.2/httpclient-4.0.2.jar
fetchArtifact org/apache/httpcomponents/httpcomponents-client/4.0.2/httpcomponents-client-4.0.2.pom.sha1
fetchArtifact org/apache/httpcomponents/httpcomponents-client/4.0.2/httpcomponents-client-4.0.2.pom
fetchArtifact org/apache/httpcomponents/project/4.0/project-4.0.pom.sha1
fetchArtifact org/apache/httpcomponents/project/4.0/project-4.0.pom
fetchArtifact org/apache/httpcomponents/project/4.1/project-4.1.pom
fetchArtifact org/apache/httpcomponents/project/4.1/project-4.1.pom.sha1
fetchArtifact org/apache/ant/ant-launcher/1.8.2/ant-launcher-1.8.2.jar.sha1
fetchArtifact org/apache/ant/ant-launcher/1.8.2/ant-launcher-1.8.2.jar
fetchArtifact org/apache/ant/ant-launcher/1.8.2/ant-launcher-1.8.2.pom
fetchArtifact org/apache/ant/ant-launcher/1.8.2/ant-launcher-1.8.2.pom.sha1
fetchArtifact org/apache/ant/ant/1.8.2/ant-1.8.2.jar
fetchArtifact org/apache/ant/ant/1.8.2/ant-1.8.2.pom.sha1
fetchArtifact org/apache/ant/ant/1.8.2/ant-1.8.2.pom
fetchArtifact org/apache/ant/ant/1.8.2/ant-1.8.2.jar.sha1
fetchArtifact org/apache/ant/ant-parent/1.8.2/ant-parent-1.8.2.pom.sha1
fetchArtifact org/apache/ant/ant-parent/1.8.2/ant-parent-1.8.2.pom
fetchArtifact org/apache/velocity/velocity/1.5/velocity-1.5.jar.sha1
fetchArtifact org/apache/velocity/velocity/1.5/velocity-1.5.pom.sha1
fetchArtifact org/apache/velocity/velocity/1.5/velocity-1.5.jar
fetchArtifact org/apache/velocity/velocity/1.5/velocity-1.5.pom
fetchArtifact org/apache/maven/plugins/maven-resources-plugin/2.6/maven-resources-plugin-2.6.pom.sha1
fetchArtifact org/apache/maven/plugins/maven-resources-plugin/2.6/maven-resources-plugin-2.6.jar.sha1
fetchArtifact org/apache/maven/plugins/maven-resources-plugin/2.6/maven-resources-plugin-2.6.pom
fetchArtifact org/apache/maven/plugins/maven-resources-plugin/2.6/maven-resources-plugin-2.6.jar
fetchArtifact org/apache/maven/plugins/maven-shade-plugin/2.3/maven-shade-plugin-2.3.jar.sha1
fetchArtifact org/apache/maven/plugins/maven-shade-plugin/2.3/maven-shade-plugin-2.3.jar
fetchArtifact org/apache/maven/plugins/maven-shade-plugin/2.3/maven-shade-plugin-2.3.pom.sha1
fetchArtifact org/apache/maven/plugins/maven-shade-plugin/2.3/maven-shade-plugin-2.3.pom
fetchArtifact org/apache/maven/plugins/maven-compiler-plugin/2.3.2/maven-compiler-plugin-2.3.2.pom
fetchArtifact org/apache/maven/plugins/maven-compiler-plugin/2.3.2/maven-compiler-plugin-2.3.2.jar.sha1
fetchArtifact org/apache/maven/plugins/maven-compiler-plugin/2.3.2/maven-compiler-plugin-2.3.2.pom.sha1
fetchArtifact org/apache/maven/plugins/maven-compiler-plugin/2.3.2/maven-compiler-plugin-2.3.2.jar
fetchArtifact org/apache/maven/plugins/maven-dependency-plugin/2.8/maven-dependency-plugin-2.8.pom
fetchArtifact org/apache/maven/plugins/maven-dependency-plugin/2.8/maven-dependency-plugin-2.8.jar
fetchArtifact org/apache/maven/plugins/maven-dependency-plugin/2.8/maven-dependency-plugin-2.8.jar.sha1
fetchArtifact org/apache/maven/plugins/maven-dependency-plugin/2.8/maven-dependency-plugin-2.8.pom.sha1
fetchArtifact org/apache/maven/plugins/maven-jar-plugin/2.4/maven-jar-plugin-2.4.jar.sha1
fetchArtifact org/apache/maven/plugins/maven-jar-plugin/2.4/maven-jar-plugin-2.4.pom
fetchArtifact org/apache/maven/plugins/maven-jar-plugin/2.4/maven-jar-plugin-2.4.pom.sha1
fetchArtifact org/apache/maven/plugins/maven-jar-plugin/2.4/maven-jar-plugin-2.4.jar
fetchArtifact org/apache/maven/plugins/maven-antrun-plugin/1.7/maven-antrun-plugin-1.7.pom.sha1
fetchArtifact org/apache/maven/plugins/maven-antrun-plugin/1.7/maven-antrun-plugin-1.7.pom
fetchArtifact org/apache/maven/plugins/maven-antrun-plugin/1.7/maven-antrun-plugin-1.7.jar.sha1
fetchArtifact org/apache/maven/plugins/maven-antrun-plugin/1.7/maven-antrun-plugin-1.7.jar
fetchArtifact org/apache/maven/plugins/maven-plugins/22/maven-plugins-22.pom
fetchArtifact org/apache/maven/plugins/maven-plugins/22/maven-plugins-22.pom.sha1
fetchArtifact org/apache/maven/plugins/maven-plugins/24/maven-plugins-24.pom
fetchArtifact org/apache/maven/plugins/maven-plugins/24/maven-plugins-24.pom.sha1
fetchArtifact org/apache/maven/plugins/maven-plugins/18/maven-plugins-18.pom
fetchArtifact org/apache/maven/plugins/maven-plugins/18/maven-plugins-18.pom.sha1
fetchArtifact org/apache/maven/plugins/maven-plugins/25/maven-plugins-25.pom.sha1
fetchArtifact org/apache/maven/plugins/maven-plugins/25/maven-plugins-25.pom
fetchArtifact org/apache/maven/plugins/maven-plugins/23/maven-plugins-23.pom
fetchArtifact org/apache/maven/plugins/maven-plugins/23/maven-plugins-23.pom.sha1
fetchArtifact org/apache/maven/plugins/maven-surefire-report-plugin/2.14.1/maven-surefire-report-plugin-2.14.1.pom
fetchArtifact org/apache/maven/plugins/maven-surefire-report-plugin/2.14.1/maven-surefire-report-plugin-2.14.1.jar
fetchArtifact org/apache/maven/plugins/maven-surefire-report-plugin/2.14.1/maven-surefire-report-plugin-2.14.1.pom.sha1
fetchArtifact org/apache/maven/plugins/maven-surefire-report-plugin/2.14.1/maven-surefire-report-plugin-2.14.1.jar.sha1
fetchArtifact org/apache/maven/plugins/maven-surefire-plugin/2.14.1/maven-surefire-plugin-2.14.1.jar
fetchArtifact org/apache/maven/plugins/maven-surefire-plugin/2.14.1/maven-surefire-plugin-2.14.1.pom.sha1
fetchArtifact org/apache/maven/plugins/maven-surefire-plugin/2.14.1/maven-surefire-plugin-2.14.1.jar.sha1
fetchArtifact org/apache/maven/plugins/maven-surefire-plugin/2.14.1/maven-surefire-plugin-2.14.1.pom
fetchArtifact org/apache/maven/maven-monitor/2.0.6/maven-monitor-2.0.6.pom
fetchArtifact org/apache/maven/maven-monitor/2.0.6/maven-monitor-2.0.6.pom.sha1
fetchArtifact org/apache/maven/maven-monitor/2.0.9/maven-monitor-2.0.9.pom
fetchArtifact org/apache/maven/maven-monitor/2.0.9/maven-monitor-2.0.9.pom.sha1
fetchArtifact org/apache/maven/maven-error-diagnostics/2.0.6/maven-error-diagnostics-2.0.6.pom
fetchArtifact org/apache/maven/maven-error-diagnostics/2.0.6/maven-error-diagnostics-2.0.6.pom.sha1
fetchArtifact org/apache/maven/maven-error-diagnostics/2.0.9/maven-error-diagnostics-2.0.9.pom
fetchArtifact org/apache/maven/maven-error-diagnostics/2.0.9/maven-error-diagnostics-2.0.9.pom.sha1
fetchArtifact org/apache/maven/shared/maven-dependency-tree/1.2/maven-dependency-tree-1.2.pom.sha1
fetchArtifact org/apache/maven/shared/maven-dependency-tree/1.2/maven-dependency-tree-1.2.jar.sha1
fetchArtifact org/apache/maven/shared/maven-dependency-tree/1.2/maven-dependency-tree-1.2.jar
fetchArtifact org/apache/maven/shared/maven-dependency-tree/1.2/maven-dependency-tree-1.2.pom
fetchArtifact org/apache/maven/shared/maven-dependency-tree/2.1/maven-dependency-tree-2.1.jar
fetchArtifact org/apache/maven/shared/maven-dependency-tree/2.1/maven-dependency-tree-2.1.jar.sha1
fetchArtifact org/apache/maven/shared/maven-dependency-tree/2.1/maven-dependency-tree-2.1.pom
fetchArtifact org/apache/maven/shared/maven-dependency-tree/2.1/maven-dependency-tree-2.1.pom.sha1
fetchArtifact org/apache/maven/shared/maven-doxia-tools/1.0.2/maven-doxia-tools-1.0.2.jar.sha1
fetchArtifact org/apache/maven/shared/maven-doxia-tools/1.0.2/maven-doxia-tools-1.0.2.jar
fetchArtifact org/apache/maven/shared/maven-doxia-tools/1.0.2/maven-doxia-tools-1.0.2.pom
fetchArtifact org/apache/maven/shared/maven-doxia-tools/1.0.2/maven-doxia-tools-1.0.2.pom.sha1
fetchArtifact org/apache/maven/shared/maven-filtering/1.1/maven-filtering-1.1.pom.sha1
fetchArtifact org/apache/maven/shared/maven-filtering/1.1/maven-filtering-1.1.jar.sha1
fetchArtifact org/apache/maven/shared/maven-filtering/1.1/maven-filtering-1.1.pom
fetchArtifact org/apache/maven/shared/maven-filtering/1.1/maven-filtering-1.1.jar
fetchArtifact org/apache/maven/shared/maven-shared-components/19/maven-shared-components-19.pom
fetchArtifact org/apache/maven/shared/maven-shared-components/19/maven-shared-components-19.pom.sha1
fetchArtifact org/apache/maven/shared/maven-shared-components/9/maven-shared-components-9.pom.sha1
fetchArtifact org/apache/maven/shared/maven-shared-components/9/maven-shared-components-9.pom
fetchArtifact org/apache/maven/shared/maven-shared-components/17/maven-shared-components-17.pom
fetchArtifact org/apache/maven/shared/maven-shared-components/17/maven-shared-components-17.pom.sha1
fetchArtifact org/apache/maven/shared/maven-shared-components/12/maven-shared-components-12.pom.sha1
fetchArtifact org/apache/maven/shared/maven-shared-components/12/maven-shared-components-12.pom
fetchArtifact org/apache/maven/shared/maven-shared-components/8/maven-shared-components-8.pom.sha1
fetchArtifact org/apache/maven/shared/maven-shared-components/8/maven-shared-components-8.pom
fetchArtifact org/apache/maven/shared/maven-shared-components/15/maven-shared-components-15.pom.sha1
fetchArtifact org/apache/maven/shared/maven-shared-components/15/maven-shared-components-15.pom
fetchArtifact org/apache/maven/shared/maven-shared-components/11/maven-shared-components-11.pom.sha1
fetchArtifact org/apache/maven/shared/maven-shared-components/11/maven-shared-components-11.pom
fetchArtifact org/apache/maven/shared/maven-shared-components/10/maven-shared-components-10.pom
fetchArtifact org/apache/maven/shared/maven-shared-components/10/maven-shared-components-10.pom.sha1
fetchArtifact org/apache/maven/shared/maven-invoker/2.0.11/maven-invoker-2.0.11.pom.sha1
fetchArtifact org/apache/maven/shared/maven-invoker/2.0.11/maven-invoker-2.0.11.jar
fetchArtifact org/apache/maven/shared/maven-invoker/2.0.11/maven-invoker-2.0.11.jar.sha1
fetchArtifact org/apache/maven/shared/maven-invoker/2.0.11/maven-invoker-2.0.11.pom
fetchArtifact org/apache/maven/shared/maven-shared-io/1.1/maven-shared-io-1.1.pom
fetchArtifact org/apache/maven/shared/maven-shared-io/1.1/maven-shared-io-1.1.pom.sha1
fetchArtifact org/apache/maven/shared/maven-shared-io/1.1/maven-shared-io-1.1.jar
fetchArtifact org/apache/maven/shared/maven-shared-io/1.1/maven-shared-io-1.1.jar.sha1
fetchArtifact org/apache/maven/shared/file-management/1.2.1/file-management-1.2.1.jar.sha1
fetchArtifact org/apache/maven/shared/file-management/1.2.1/file-management-1.2.1.jar
fetchArtifact org/apache/maven/shared/file-management/1.2.1/file-management-1.2.1.pom
fetchArtifact org/apache/maven/shared/file-management/1.2.1/file-management-1.2.1.pom.sha1
fetchArtifact org/apache/maven/shared/maven-dependency-analyzer/1.4/maven-dependency-analyzer-1.4.jar
fetchArtifact org/apache/maven/shared/maven-dependency-analyzer/1.4/maven-dependency-analyzer-1.4.pom.sha1
fetchArtifact org/apache/maven/shared/maven-dependency-analyzer/1.4/maven-dependency-analyzer-1.4.jar.sha1
fetchArtifact org/apache/maven/shared/maven-dependency-analyzer/1.4/maven-dependency-analyzer-1.4.pom
fetchArtifact org/apache/maven/shared/maven-common-artifact-filters/1.4/maven-common-artifact-filters-1.4.pom
fetchArtifact org/apache/maven/shared/maven-common-artifact-filters/1.4/maven-common-artifact-filters-1.4.pom.sha1
fetchArtifact org/apache/maven/shared/maven-common-artifact-filters/1.4/maven-common-artifact-filters-1.4.jar.sha1
fetchArtifact org/apache/maven/shared/maven-common-artifact-filters/1.4/maven-common-artifact-filters-1.4.jar
fetchArtifact org/apache/maven/shared/maven-shared-utils/0.4/maven-shared-utils-0.4.pom.sha1
fetchArtifact org/apache/maven/shared/maven-shared-utils/0.4/maven-shared-utils-0.4.jar
fetchArtifact org/apache/maven/shared/maven-shared-utils/0.4/maven-shared-utils-0.4.pom
fetchArtifact org/apache/maven/shared/maven-shared-utils/0.4/maven-shared-utils-0.4.jar.sha1
fetchArtifact org/apache/maven/maven-plugin-parameter-documenter/2.0.6/maven-plugin-parameter-documenter-2.0.6.pom
fetchArtifact org/apache/maven/maven-plugin-parameter-documenter/2.0.6/maven-plugin-parameter-documenter-2.0.6.pom.sha1
fetchArtifact org/apache/maven/maven-plugin-parameter-documenter/2.0.9/maven-plugin-parameter-documenter-2.0.9.pom
fetchArtifact org/apache/maven/maven-plugin-parameter-documenter/2.0.9/maven-plugin-parameter-documenter-2.0.9.pom.sha1
fetchArtifact org/apache/maven/maven-core/3.0/maven-core-3.0.pom.sha1
fetchArtifact org/apache/maven/maven-core/3.0/maven-core-3.0.pom
fetchArtifact org/apache/maven/maven-core/2.0.6/maven-core-2.0.6.pom.sha1
fetchArtifact org/apache/maven/maven-core/2.0.6/maven-core-2.0.6.pom
fetchArtifact org/apache/maven/maven-core/2.0.9/maven-core-2.0.9.pom.sha1
fetchArtifact org/apache/maven/maven-core/2.0.9/maven-core-2.0.9.pom
fetchArtifact org/apache/maven/maven-artifact-manager/2.0.5/maven-artifact-manager-2.0.5.pom
fetchArtifact org/apache/maven/maven-artifact-manager/2.0.5/maven-artifact-manager-2.0.5.pom.sha1
fetchArtifact org/apache/maven/maven-artifact-manager/2.2.0/maven-artifact-manager-2.2.0.pom
fetchArtifact org/apache/maven/maven-artifact-manager/2.2.0/maven-artifact-manager-2.2.0.pom.sha1
fetchArtifact org/apache/maven/maven-artifact-manager/2.0.6/maven-artifact-manager-2.0.6.pom
fetchArtifact org/apache/maven/maven-artifact-manager/2.0.6/maven-artifact-manager-2.0.6.pom.sha1
fetchArtifact org/apache/maven/maven-artifact-manager/2.0.10/maven-artifact-manager-2.0.10.pom
fetchArtifact org/apache/maven/maven-artifact-manager/2.0.10/maven-artifact-manager-2.0.10.pom.sha1
fetchArtifact org/apache/maven/maven-artifact-manager/2.0.8/maven-artifact-manager-2.0.8.pom.sha1
fetchArtifact org/apache/maven/maven-artifact-manager/2.0.8/maven-artifact-manager-2.0.8.pom
fetchArtifact org/apache/maven/maven-artifact-manager/2.0.2/maven-artifact-manager-2.0.2.pom.sha1
fetchArtifact org/apache/maven/maven-artifact-manager/2.0.2/maven-artifact-manager-2.0.2.pom
fetchArtifact org/apache/maven/maven-artifact-manager/2.0.11/maven-artifact-manager-2.0.11.pom.sha1
fetchArtifact org/apache/maven/maven-artifact-manager/2.0.11/maven-artifact-manager-2.0.11.pom
fetchArtifact org/apache/maven/maven-artifact-manager/2.0.9/maven-artifact-manager-2.0.9.pom
fetchArtifact org/apache/maven/maven-artifact-manager/2.0.9/maven-artifact-manager-2.0.9.jar
fetchArtifact org/apache/maven/maven-artifact-manager/2.0.9/maven-artifact-manager-2.0.9.jar.sha1
fetchArtifact org/apache/maven/maven-artifact-manager/2.0.9/maven-artifact-manager-2.0.9.pom.sha1
fetchArtifact org/apache/maven/plugin-tools/maven-plugin-tools/3.2/maven-plugin-tools-3.2.pom
fetchArtifact org/apache/maven/plugin-tools/maven-plugin-tools/3.2/maven-plugin-tools-3.2.pom.sha1
fetchArtifact org/apache/maven/plugin-tools/maven-plugin-annotations/3.2/maven-plugin-annotations-3.2.pom.sha1
fetchArtifact org/apache/maven/plugin-tools/maven-plugin-annotations/3.2/maven-plugin-annotations-3.2.jar
fetchArtifact org/apache/maven/plugin-tools/maven-plugin-annotations/3.2/maven-plugin-annotations-3.2.pom
fetchArtifact org/apache/maven/plugin-tools/maven-plugin-annotations/3.2/maven-plugin-annotations-3.2.jar.sha1
fetchArtifact org/apache/maven/maven-archiver/2.5/maven-archiver-2.5.jar
fetchArtifact org/apache/maven/maven-archiver/2.5/maven-archiver-2.5.pom.sha1
fetchArtifact org/apache/maven/maven-archiver/2.5/maven-archiver-2.5.pom
fetchArtifact org/apache/maven/maven-archiver/2.5/maven-archiver-2.5.jar.sha1
fetchArtifact org/apache/maven/maven-profile/2.0.5/maven-profile-2.0.5.pom.sha1
fetchArtifact org/apache/maven/maven-profile/2.0.5/maven-profile-2.0.5.pom
fetchArtifact org/apache/maven/maven-profile/2.2.0/maven-profile-2.2.0.pom
fetchArtifact org/apache/maven/maven-profile/2.2.0/maven-profile-2.2.0.pom.sha1
fetchArtifact org/apache/maven/maven-profile/2.0.6/maven-profile-2.0.6.pom.sha1
fetchArtifact org/apache/maven/maven-profile/2.0.6/maven-profile-2.0.6.pom
fetchArtifact org/apache/maven/maven-profile/2.0.10/maven-profile-2.0.10.pom
fetchArtifact org/apache/maven/maven-profile/2.0.10/maven-profile-2.0.10.pom.sha1
fetchArtifact org/apache/maven/maven-profile/2.0.8/maven-profile-2.0.8.pom.sha1
fetchArtifact org/apache/maven/maven-profile/2.0.8/maven-profile-2.0.8.pom
fetchArtifact org/apache/maven/maven-profile/2.0.11/maven-profile-2.0.11.pom
fetchArtifact org/apache/maven/maven-profile/2.0.11/maven-profile-2.0.11.pom.sha1
fetchArtifact org/apache/maven/maven-profile/2.0.9/maven-profile-2.0.9.pom.sha1
fetchArtifact org/apache/maven/maven-profile/2.0.9/maven-profile-2.0.9.jar
fetchArtifact org/apache/maven/maven-profile/2.0.9/maven-profile-2.0.9.jar.sha1
fetchArtifact org/apache/maven/maven-profile/2.0.9/maven-profile-2.0.9.pom
fetchArtifact org/apache/maven/maven-project/2.0.5/maven-project-2.0.5.pom.sha1
fetchArtifact org/apache/maven/maven-project/2.0.5/maven-project-2.0.5.pom
fetchArtifact org/apache/maven/maven-project/2.2.0/maven-project-2.2.0.pom
fetchArtifact org/apache/maven/maven-project/2.2.0/maven-project-2.2.0.pom.sha1
fetchArtifact org/apache/maven/maven-project/2.0.6/maven-project-2.0.6.pom
fetchArtifact org/apache/maven/maven-project/2.0.6/maven-project-2.0.6.pom.sha1
fetchArtifact org/apache/maven/maven-project/2.0.10/maven-project-2.0.10.pom.sha1
fetchArtifact org/apache/maven/maven-project/2.0.10/maven-project-2.0.10.pom
fetchArtifact org/apache/maven/maven-project/2.0.8/maven-project-2.0.8.pom.sha1
fetchArtifact org/apache/maven/maven-project/2.0.8/maven-project-2.0.8.pom
fetchArtifact org/apache/maven/maven-project/2.0.11/maven-project-2.0.11.pom.sha1
fetchArtifact org/apache/maven/maven-project/2.0.11/maven-project-2.0.11.pom
fetchArtifact org/apache/maven/maven-project/2.0.9/maven-project-2.0.9.pom.sha1
fetchArtifact org/apache/maven/maven-project/2.0.9/maven-project-2.0.9.jar.sha1
fetchArtifact org/apache/maven/maven-project/2.0.9/maven-project-2.0.9.pom
fetchArtifact org/apache/maven/maven-project/2.0.9/maven-project-2.0.9.jar
fetchArtifact org/apache/maven/maven-model/2.0.5/maven-model-2.0.5.pom.sha1
fetchArtifact org/apache/maven/maven-model/2.0.5/maven-model-2.0.5.pom
fetchArtifact org/apache/maven/maven-model/2.2.0/maven-model-2.2.0.pom.sha1
fetchArtifact org/apache/maven/maven-model/2.2.0/maven-model-2.2.0.pom
fetchArtifact org/apache/maven/maven-model/3.0/maven-model-3.0.pom
fetchArtifact org/apache/maven/maven-model/3.0/maven-model-3.0.pom.sha1
fetchArtifact org/apache/maven/maven-model/2.0.6/maven-model-2.0.6.pom
fetchArtifact org/apache/maven/maven-model/2.0.6/maven-model-2.0.6.pom.sha1
fetchArtifact org/apache/maven/maven-model/2.0.10/maven-model-2.0.10.pom
fetchArtifact org/apache/maven/maven-model/2.0.10/maven-model-2.0.10.pom.sha1
fetchArtifact org/apache/maven/maven-model/2.0.8/maven-model-2.0.8.pom
fetchArtifact org/apache/maven/maven-model/2.0.8/maven-model-2.0.8.pom.sha1
fetchArtifact org/apache/maven/maven-model/2.0.11/maven-model-2.0.11.pom
fetchArtifact org/apache/maven/maven-model/2.0.11/maven-model-2.0.11.pom.sha1
fetchArtifact org/apache/maven/maven-model/2.0.9/maven-model-2.0.9.jar.sha1
fetchArtifact org/apache/maven/maven-model/2.0.9/maven-model-2.0.9.pom
fetchArtifact org/apache/maven/maven-model/2.0.9/maven-model-2.0.9.jar
fetchArtifact org/apache/maven/maven-model/2.0.9/maven-model-2.0.9.pom.sha1
fetchArtifact org/apache/maven/surefire/surefire/2.14.1/surefire-2.14.1.pom.sha1
fetchArtifact org/apache/maven/surefire/surefire/2.14.1/surefire-2.14.1.pom
fetchArtifact org/apache/maven/surefire/surefire-report-parser/2.14.1/surefire-report-parser-2.14.1.jar
fetchArtifact org/apache/maven/surefire/surefire-report-parser/2.14.1/surefire-report-parser-2.14.1.jar.sha1
fetchArtifact org/apache/maven/surefire/surefire-report-parser/2.14.1/surefire-report-parser-2.14.1.pom
fetchArtifact org/apache/maven/surefire/surefire-report-parser/2.14.1/surefire-report-parser-2.14.1.pom.sha1
fetchArtifact org/apache/maven/surefire/surefire-junit4/2.14.1/surefire-junit4-2.14.1.pom
fetchArtifact org/apache/maven/surefire/surefire-junit4/2.14.1/surefire-junit4-2.14.1.jar.sha1
fetchArtifact org/apache/maven/surefire/surefire-junit4/2.14.1/surefire-junit4-2.14.1.jar
fetchArtifact org/apache/maven/surefire/surefire-junit4/2.14.1/surefire-junit4-2.14.1.pom.sha1
fetchArtifact org/apache/maven/surefire/maven-surefire-common/2.14.1/maven-surefire-common-2.14.1.jar.sha1
fetchArtifact org/apache/maven/surefire/maven-surefire-common/2.14.1/maven-surefire-common-2.14.1.pom
fetchArtifact org/apache/maven/surefire/maven-surefire-common/2.14.1/maven-surefire-common-2.14.1.pom.sha1
fetchArtifact org/apache/maven/surefire/maven-surefire-common/2.14.1/maven-surefire-common-2.14.1.jar
fetchArtifact org/apache/maven/surefire/surefire-booter/2.14.1/surefire-booter-2.14.1.pom.sha1
fetchArtifact org/apache/maven/surefire/surefire-booter/2.14.1/surefire-booter-2.14.1.jar
fetchArtifact org/apache/maven/surefire/surefire-booter/2.14.1/surefire-booter-2.14.1.pom
fetchArtifact org/apache/maven/surefire/surefire-booter/2.14.1/surefire-booter-2.14.1.jar.sha1
fetchArtifact org/apache/maven/surefire/surefire-api/2.14.1/surefire-api-2.14.1.pom
fetchArtifact org/apache/maven/surefire/surefire-api/2.14.1/surefire-api-2.14.1.jar
fetchArtifact org/apache/maven/surefire/surefire-api/2.14.1/surefire-api-2.14.1.jar.sha1
fetchArtifact org/apache/maven/surefire/surefire-api/2.14.1/surefire-api-2.14.1.pom.sha1
fetchArtifact org/apache/maven/surefire/surefire-providers/2.14.1/surefire-providers-2.14.1.pom.sha1
fetchArtifact org/apache/maven/surefire/surefire-providers/2.14.1/surefire-providers-2.14.1.pom
fetchArtifact org/apache/maven/maven-settings-builder/3.0/maven-settings-builder-3.0.pom
fetchArtifact org/apache/maven/maven-settings-builder/3.0/maven-settings-builder-3.0.pom.sha1
fetchArtifact org/apache/maven/maven-repository-metadata/2.0.5/maven-repository-metadata-2.0.5.pom
fetchArtifact org/apache/maven/maven-repository-metadata/2.0.5/maven-repository-metadata-2.0.5.pom.sha1
fetchArtifact org/apache/maven/maven-repository-metadata/2.2.0/maven-repository-metadata-2.2.0.pom.sha1
fetchArtifact org/apache/maven/maven-repository-metadata/2.2.0/maven-repository-metadata-2.2.0.pom
fetchArtifact org/apache/maven/maven-repository-metadata/3.0/maven-repository-metadata-3.0.pom.sha1
fetchArtifact org/apache/maven/maven-repository-metadata/3.0/maven-repository-metadata-3.0.pom
fetchArtifact org/apache/maven/maven-repository-metadata/2.0.6/maven-repository-metadata-2.0.6.pom.sha1
fetchArtifact org/apache/maven/maven-repository-metadata/2.0.6/maven-repository-metadata-2.0.6.pom
fetchArtifact org/apache/maven/maven-repository-metadata/2.0.10/maven-repository-metadata-2.0.10.pom.sha1
fetchArtifact org/apache/maven/maven-repository-metadata/2.0.10/maven-repository-metadata-2.0.10.pom
fetchArtifact org/apache/maven/maven-repository-metadata/2.0.8/maven-repository-metadata-2.0.8.pom.sha1
fetchArtifact org/apache/maven/maven-repository-metadata/2.0.8/maven-repository-metadata-2.0.8.pom
fetchArtifact org/apache/maven/maven-repository-metadata/2.0.2/maven-repository-metadata-2.0.2.pom.sha1
fetchArtifact org/apache/maven/maven-repository-metadata/2.0.2/maven-repository-metadata-2.0.2.pom
fetchArtifact org/apache/maven/maven-repository-metadata/2.0.11/maven-repository-metadata-2.0.11.pom
fetchArtifact org/apache/maven/maven-repository-metadata/2.0.11/maven-repository-metadata-2.0.11.pom.sha1
fetchArtifact org/apache/maven/maven-repository-metadata/2.0.9/maven-repository-metadata-2.0.9.pom
fetchArtifact org/apache/maven/maven-repository-metadata/2.0.9/maven-repository-metadata-2.0.9.jar.sha1
fetchArtifact org/apache/maven/maven-repository-metadata/2.0.9/maven-repository-metadata-2.0.9.pom.sha1
fetchArtifact org/apache/maven/maven-repository-metadata/2.0.9/maven-repository-metadata-2.0.9.jar
fetchArtifact org/apache/maven/maven-plugin-descriptor/2.0.6/maven-plugin-descriptor-2.0.6.pom.sha1
fetchArtifact org/apache/maven/maven-plugin-descriptor/2.0.6/maven-plugin-descriptor-2.0.6.pom
fetchArtifact org/apache/maven/maven-plugin-descriptor/2.0.9/maven-plugin-descriptor-2.0.9.pom.sha1
fetchArtifact org/apache/maven/maven-plugin-descriptor/2.0.9/maven-plugin-descriptor-2.0.9.pom
fetchArtifact org/apache/maven/maven/2.0.5/maven-2.0.5.pom.sha1
fetchArtifact org/apache/maven/maven/2.0.5/maven-2.0.5.pom
fetchArtifact org/apache/maven/maven/2.2.0/maven-2.2.0.pom.sha1
fetchArtifact org/apache/maven/maven/2.2.0/maven-2.2.0.pom
fetchArtifact org/apache/maven/maven/3.0/maven-3.0.pom.sha1
fetchArtifact org/apache/maven/maven/3.0/maven-3.0.pom
fetchArtifact org/apache/maven/maven/2.0.6/maven-2.0.6.pom.sha1
fetchArtifact org/apache/maven/maven/2.0.6/maven-2.0.6.pom
fetchArtifact org/apache/maven/maven/2.0.10/maven-2.0.10.pom.sha1
fetchArtifact org/apache/maven/maven/2.0.10/maven-2.0.10.pom
fetchArtifact org/apache/maven/maven/2.0.8/maven-2.0.8.pom.sha1
fetchArtifact org/apache/maven/maven/2.0.8/maven-2.0.8.pom
fetchArtifact org/apache/maven/maven/2.2.1/maven-2.2.1.pom
fetchArtifact org/apache/maven/maven/2.2.1/maven-2.2.1.pom.sha1
fetchArtifact org/apache/maven/maven/2.0.2/maven-2.0.2.pom
fetchArtifact org/apache/maven/maven/2.0.2/maven-2.0.2.pom.sha1
fetchArtifact org/apache/maven/maven/2.0.11/maven-2.0.11.pom.sha1
fetchArtifact org/apache/maven/maven/2.0.11/maven-2.0.11.pom
fetchArtifact org/apache/maven/maven/2.0.9/maven-2.0.9.pom
fetchArtifact org/apache/maven/maven/2.0.9/maven-2.0.9.pom.sha1
fetchArtifact org/apache/maven/maven-aether-provider/3.0/maven-aether-provider-3.0.pom.sha1
fetchArtifact org/apache/maven/maven-aether-provider/3.0/maven-aether-provider-3.0.pom
fetchArtifact org/apache/maven/maven-artifact/2.0.5/maven-artifact-2.0.5.pom
fetchArtifact org/apache/maven/maven-artifact/2.0.5/maven-artifact-2.0.5.pom.sha1
fetchArtifact org/apache/maven/maven-artifact/2.2.0/maven-artifact-2.2.0.pom
fetchArtifact org/apache/maven/maven-artifact/2.2.0/maven-artifact-2.2.0.pom.sha1
fetchArtifact org/apache/maven/maven-artifact/3.0/maven-artifact-3.0.pom.sha1
fetchArtifact org/apache/maven/maven-artifact/3.0/maven-artifact-3.0.pom
fetchArtifact org/apache/maven/maven-artifact/2.0.6/maven-artifact-2.0.6.pom
fetchArtifact org/apache/maven/maven-artifact/2.0.6/maven-artifact-2.0.6.pom.sha1
fetchArtifact org/apache/maven/maven-artifact/2.0.10/maven-artifact-2.0.10.pom
fetchArtifact org/apache/maven/maven-artifact/2.0.10/maven-artifact-2.0.10.pom.sha1
fetchArtifact org/apache/maven/maven-artifact/2.0.8/maven-artifact-2.0.8.pom.sha1
fetchArtifact org/apache/maven/maven-artifact/2.0.8/maven-artifact-2.0.8.pom
fetchArtifact org/apache/maven/maven-artifact/2.2.1/maven-artifact-2.2.1.pom
fetchArtifact org/apache/maven/maven-artifact/2.2.1/maven-artifact-2.2.1.pom.sha1
fetchArtifact org/apache/maven/maven-artifact/2.0.2/maven-artifact-2.0.2.pom
fetchArtifact org/apache/maven/maven-artifact/2.0.2/maven-artifact-2.0.2.pom.sha1
fetchArtifact org/apache/maven/maven-artifact/2.0.11/maven-artifact-2.0.11.pom
fetchArtifact org/apache/maven/maven-artifact/2.0.11/maven-artifact-2.0.11.pom.sha1
fetchArtifact org/apache/maven/maven-artifact/2.0.9/maven-artifact-2.0.9.jar
fetchArtifact org/apache/maven/maven-artifact/2.0.9/maven-artifact-2.0.9.jar.sha1
fetchArtifact org/apache/maven/maven-artifact/2.0.9/maven-artifact-2.0.9.pom.sha1
fetchArtifact org/apache/maven/maven-artifact/2.0.9/maven-artifact-2.0.9.pom
fetchArtifact org/apache/maven/maven-settings/2.0.5/maven-settings-2.0.5.pom
fetchArtifact org/apache/maven/maven-settings/2.0.5/maven-settings-2.0.5.pom.sha1
fetchArtifact org/apache/maven/maven-settings/2.2.0/maven-settings-2.2.0.pom
fetchArtifact org/apache/maven/maven-settings/2.2.0/maven-settings-2.2.0.pom.sha1
fetchArtifact org/apache/maven/maven-settings/3.0/maven-settings-3.0.pom.sha1
fetchArtifact org/apache/maven/maven-settings/3.0/maven-settings-3.0.pom
fetchArtifact org/apache/maven/maven-settings/2.0.6/maven-settings-2.0.6.pom.sha1
fetchArtifact org/apache/maven/maven-settings/2.0.6/maven-settings-2.0.6.pom
fetchArtifact org/apache/maven/maven-settings/2.0.10/maven-settings-2.0.10.pom.sha1
fetchArtifact org/apache/maven/maven-settings/2.0.10/maven-settings-2.0.10.pom
fetchArtifact org/apache/maven/maven-settings/2.0.8/maven-settings-2.0.8.pom
fetchArtifact org/apache/maven/maven-settings/2.0.8/maven-settings-2.0.8.pom.sha1
fetchArtifact org/apache/maven/maven-settings/2.0.11/maven-settings-2.0.11.pom
fetchArtifact org/apache/maven/maven-settings/2.0.11/maven-settings-2.0.11.pom.sha1
fetchArtifact org/apache/maven/maven-settings/2.0.9/maven-settings-2.0.9.pom.sha1
fetchArtifact org/apache/maven/maven-settings/2.0.9/maven-settings-2.0.9.jar.sha1
fetchArtifact org/apache/maven/maven-settings/2.0.9/maven-settings-2.0.9.jar
fetchArtifact org/apache/maven/maven-settings/2.0.9/maven-settings-2.0.9.pom
fetchArtifact org/apache/maven/maven-compat/3.0/maven-compat-3.0.pom
fetchArtifact org/apache/maven/maven-compat/3.0/maven-compat-3.0.pom.sha1
fetchArtifact org/apache/maven/maven-model-builder/3.0/maven-model-builder-3.0.pom.sha1
fetchArtifact org/apache/maven/maven-model-builder/3.0/maven-model-builder-3.0.pom
fetchArtifact org/apache/maven/maven-plugin-registry/2.2.0/maven-plugin-registry-2.2.0.pom
fetchArtifact org/apache/maven/maven-plugin-registry/2.2.0/maven-plugin-registry-2.2.0.pom.sha1
fetchArtifact org/apache/maven/maven-plugin-registry/2.0.6/maven-plugin-registry-2.0.6.pom.sha1
fetchArtifact org/apache/maven/maven-plugin-registry/2.0.6/maven-plugin-registry-2.0.6.pom
fetchArtifact org/apache/maven/maven-plugin-registry/2.0.10/maven-plugin-registry-2.0.10.pom
fetchArtifact org/apache/maven/maven-plugin-registry/2.0.10/maven-plugin-registry-2.0.10.pom.sha1
fetchArtifact org/apache/maven/maven-plugin-registry/2.0.8/maven-plugin-registry-2.0.8.pom.sha1
fetchArtifact org/apache/maven/maven-plugin-registry/2.0.8/maven-plugin-registry-2.0.8.pom
fetchArtifact org/apache/maven/maven-plugin-registry/2.0.11/maven-plugin-registry-2.0.11.pom
fetchArtifact org/apache/maven/maven-plugin-registry/2.0.11/maven-plugin-registry-2.0.11.pom.sha1
fetchArtifact org/apache/maven/maven-plugin-registry/2.0.9/maven-plugin-registry-2.0.9.pom
fetchArtifact org/apache/maven/maven-plugin-registry/2.0.9/maven-plugin-registry-2.0.9.jar.sha1
fetchArtifact org/apache/maven/maven-plugin-registry/2.0.9/maven-plugin-registry-2.0.9.pom.sha1
fetchArtifact org/apache/maven/maven-plugin-registry/2.0.9/maven-plugin-registry-2.0.9.jar
fetchArtifact org/apache/maven/maven-parent/7/maven-parent-7.pom
fetchArtifact org/apache/maven/maven-parent/7/maven-parent-7.pom.sha1
fetchArtifact org/apache/maven/maven-parent/4/maven-parent-4.pom
fetchArtifact org/apache/maven/maven-parent/4/maven-parent-4.pom.sha1
fetchArtifact org/apache/maven/maven-parent/16/maven-parent-16.pom
fetchArtifact org/apache/maven/maven-parent/16/maven-parent-16.pom.sha1
fetchArtifact org/apache/maven/maven-parent/22/maven-parent-22.pom
fetchArtifact org/apache/maven/maven-parent/22/maven-parent-22.pom.sha1
fetchArtifact org/apache/maven/maven-parent/9/maven-parent-9.pom
fetchArtifact org/apache/maven/maven-parent/9/maven-parent-9.pom.sha1
fetchArtifact org/apache/maven/maven-parent/24/maven-parent-24.pom
fetchArtifact org/apache/maven/maven-parent/24/maven-parent-24.pom.sha1
fetchArtifact org/apache/maven/maven-parent/13/maven-parent-13.pom.sha1
fetchArtifact org/apache/maven/maven-parent/13/maven-parent-13.pom
fetchArtifact org/apache/maven/maven-parent/5/maven-parent-5.pom.sha1
fetchArtifact org/apache/maven/maven-parent/5/maven-parent-5.pom
fetchArtifact org/apache/maven/maven-parent/6/maven-parent-6.pom.sha1
fetchArtifact org/apache/maven/maven-parent/6/maven-parent-6.pom
fetchArtifact org/apache/maven/maven-parent/21/maven-parent-21.pom
fetchArtifact org/apache/maven/maven-parent/21/maven-parent-21.pom.sha1
fetchArtifact org/apache/maven/maven-parent/12/maven-parent-12.pom.sha1
fetchArtifact org/apache/maven/maven-parent/12/maven-parent-12.pom
fetchArtifact org/apache/maven/maven-parent/23/maven-parent-23.pom.sha1
fetchArtifact org/apache/maven/maven-parent/23/maven-parent-23.pom
fetchArtifact org/apache/maven/maven-parent/8/maven-parent-8.pom.sha1
fetchArtifact org/apache/maven/maven-parent/8/maven-parent-8.pom
fetchArtifact org/apache/maven/maven-parent/15/maven-parent-15.pom.sha1
fetchArtifact org/apache/maven/maven-parent/15/maven-parent-15.pom
fetchArtifact org/apache/maven/maven-parent/11/maven-parent-11.pom.sha1
fetchArtifact org/apache/maven/maven-parent/11/maven-parent-11.pom
fetchArtifact org/apache/maven/maven-parent/10/maven-parent-10.pom
fetchArtifact org/apache/maven/maven-parent/10/maven-parent-10.pom.sha1
fetchArtifact org/apache/maven/wagon/wagon-provider-api/1.0-beta-2/wagon-provider-api-1.0-beta-2.pom.sha1
fetchArtifact org/apache/maven/wagon/wagon-provider-api/1.0-beta-2/wagon-provider-api-1.0-beta-2.jar.sha1
fetchArtifact org/apache/maven/wagon/wagon-provider-api/1.0-beta-2/wagon-provider-api-1.0-beta-2.pom
fetchArtifact org/apache/maven/wagon/wagon-provider-api/1.0-beta-2/wagon-provider-api-1.0-beta-2.jar
fetchArtifact org/apache/maven/wagon/wagon-provider-api/1.0-beta-6/wagon-provider-api-1.0-beta-6.pom.sha1
fetchArtifact org/apache/maven/wagon/wagon-provider-api/1.0-beta-6/wagon-provider-api-1.0-beta-6.pom
fetchArtifact org/apache/maven/wagon/wagon-provider-api/1.0-alpha-6/wagon-provider-api-1.0-alpha-6.pom.sha1
fetchArtifact org/apache/maven/wagon/wagon-provider-api/1.0-alpha-6/wagon-provider-api-1.0-alpha-6.pom
fetchArtifact org/apache/maven/wagon/wagon/1.0-beta-2/wagon-1.0-beta-2.pom.sha1
fetchArtifact org/apache/maven/wagon/wagon/1.0-beta-2/wagon-1.0-beta-2.pom
fetchArtifact org/apache/maven/wagon/wagon/1.0-beta-6/wagon-1.0-beta-6.pom.sha1
fetchArtifact org/apache/maven/wagon/wagon/1.0-beta-6/wagon-1.0-beta-6.pom
fetchArtifact org/apache/maven/wagon/wagon/1.0-alpha-6/wagon-1.0-alpha-6.pom
fetchArtifact org/apache/maven/wagon/wagon/1.0-alpha-6/wagon-1.0-alpha-6.pom.sha1
fetchArtifact org/apache/maven/reporting/maven-reporting-impl/2.0.5/maven-reporting-impl-2.0.5.jar
fetchArtifact org/apache/maven/reporting/maven-reporting-impl/2.0.5/maven-reporting-impl-2.0.5.jar.sha1
fetchArtifact org/apache/maven/reporting/maven-reporting-impl/2.0.5/maven-reporting-impl-2.0.5.pom.sha1
fetchArtifact org/apache/maven/reporting/maven-reporting-impl/2.0.5/maven-reporting-impl-2.0.5.pom
fetchArtifact org/apache/maven/reporting/maven-reporting-impl/2.1/maven-reporting-impl-2.1.pom
fetchArtifact org/apache/maven/reporting/maven-reporting-impl/2.1/maven-reporting-impl-2.1.pom.sha1
fetchArtifact org/apache/maven/reporting/maven-reporting-impl/2.1/maven-reporting-impl-2.1.jar
fetchArtifact org/apache/maven/reporting/maven-reporting-impl/2.1/maven-reporting-impl-2.1.jar.sha1
fetchArtifact org/apache/maven/reporting/maven-reporting-api/3.0/maven-reporting-api-3.0.jar.sha1
fetchArtifact org/apache/maven/reporting/maven-reporting-api/3.0/maven-reporting-api-3.0.pom.sha1
fetchArtifact org/apache/maven/reporting/maven-reporting-api/3.0/maven-reporting-api-3.0.jar
fetchArtifact org/apache/maven/reporting/maven-reporting-api/3.0/maven-reporting-api-3.0.pom
fetchArtifact org/apache/maven/reporting/maven-reporting-api/2.0.6/maven-reporting-api-2.0.6.pom
fetchArtifact org/apache/maven/reporting/maven-reporting-api/2.0.6/maven-reporting-api-2.0.6.jar
fetchArtifact org/apache/maven/reporting/maven-reporting-api/2.0.6/maven-reporting-api-2.0.6.pom.sha1
fetchArtifact org/apache/maven/reporting/maven-reporting-api/2.0.6/maven-reporting-api-2.0.6.jar.sha1
fetchArtifact org/apache/maven/reporting/maven-reporting-api/2.0.9/maven-reporting-api-2.0.9.pom.sha1
fetchArtifact org/apache/maven/reporting/maven-reporting-api/2.0.9/maven-reporting-api-2.0.9.pom
fetchArtifact org/apache/maven/reporting/maven-reporting-api/2.0.9/maven-reporting-api-2.0.9.jar
fetchArtifact org/apache/maven/reporting/maven-reporting-api/2.0.9/maven-reporting-api-2.0.9.jar.sha1
fetchArtifact org/apache/maven/reporting/maven-reporting/2.0.6/maven-reporting-2.0.6.pom
fetchArtifact org/apache/maven/reporting/maven-reporting/2.0.6/maven-reporting-2.0.6.pom.sha1
fetchArtifact org/apache/maven/reporting/maven-reporting/2.0.9/maven-reporting-2.0.9.pom.sha1
fetchArtifact org/apache/maven/reporting/maven-reporting/2.0.9/maven-reporting-2.0.9.pom
fetchArtifact org/apache/maven/maven-plugin-api/3.0/maven-plugin-api-3.0.pom
fetchArtifact org/apache/maven/maven-plugin-api/3.0/maven-plugin-api-3.0.pom.sha1
fetchArtifact org/apache/maven/maven-plugin-api/2.0.6/maven-plugin-api-2.0.6.pom.sha1
fetchArtifact org/apache/maven/maven-plugin-api/2.0.6/maven-plugin-api-2.0.6.pom
fetchArtifact org/apache/maven/maven-plugin-api/2.0.10/maven-plugin-api-2.0.10.pom.sha1
fetchArtifact org/apache/maven/maven-plugin-api/2.0.10/maven-plugin-api-2.0.10.pom
fetchArtifact org/apache/maven/maven-plugin-api/2.0.8/maven-plugin-api-2.0.8.pom.sha1
fetchArtifact org/apache/maven/maven-plugin-api/2.0.8/maven-plugin-api-2.0.8.pom
fetchArtifact org/apache/maven/maven-plugin-api/2.0.11/maven-plugin-api-2.0.11.pom
fetchArtifact org/apache/maven/maven-plugin-api/2.0.11/maven-plugin-api-2.0.11.pom.sha1
fetchArtifact org/apache/maven/maven-plugin-api/2.0.9/maven-plugin-api-2.0.9.pom.sha1
fetchArtifact org/apache/maven/maven-plugin-api/2.0.9/maven-plugin-api-2.0.9.jar.sha1
fetchArtifact org/apache/maven/maven-plugin-api/2.0.9/maven-plugin-api-2.0.9.pom
fetchArtifact org/apache/maven/maven-plugin-api/2.0.9/maven-plugin-api-2.0.9.jar
fetchArtifact org/apache/maven/maven-toolchain/1.0/maven-toolchain-1.0.pom
fetchArtifact org/apache/maven/maven-toolchain/1.0/maven-toolchain-1.0.pom.sha1
fetchArtifact org/apache/maven/maven-toolchain/2.0.9/maven-toolchain-2.0.9.pom
fetchArtifact org/apache/maven/maven-toolchain/2.0.9/maven-toolchain-2.0.9.pom.sha1
fetchArtifact org/apache/maven/doxia/doxia-modules/1.0/doxia-modules-1.0.pom.sha1
fetchArtifact org/apache/maven/doxia/doxia-modules/1.0/doxia-modules-1.0.pom
fetchArtifact org/apache/maven/doxia/doxia-modules/1.1.4/doxia-modules-1.1.4.pom.sha1
fetchArtifact org/apache/maven/doxia/doxia-modules/1.1.4/doxia-modules-1.1.4.pom
fetchArtifact org/apache/maven/doxia/doxia-modules/1.1.2/doxia-modules-1.1.2.pom
fetchArtifact org/apache/maven/doxia/doxia-modules/1.1.2/doxia-modules-1.1.2.pom.sha1
fetchArtifact org/apache/maven/doxia/doxia-module-xdoc/1.0/doxia-module-xdoc-1.0.pom
fetchArtifact org/apache/maven/doxia/doxia-module-xdoc/1.0/doxia-module-xdoc-1.0.jar.sha1
fetchArtifact org/apache/maven/doxia/doxia-module-xdoc/1.0/doxia-module-xdoc-1.0.pom.sha1
fetchArtifact org/apache/maven/doxia/doxia-module-xdoc/1.0/doxia-module-xdoc-1.0.jar
fetchArtifact org/apache/maven/doxia/doxia-decoration-model/1.0/doxia-decoration-model-1.0.jar
fetchArtifact org/apache/maven/doxia/doxia-decoration-model/1.0/doxia-decoration-model-1.0.jar.sha1
fetchArtifact org/apache/maven/doxia/doxia-decoration-model/1.0/doxia-decoration-model-1.0.pom.sha1
fetchArtifact org/apache/maven/doxia/doxia-decoration-model/1.0/doxia-decoration-model-1.0.pom
fetchArtifact org/apache/maven/doxia/doxia-decoration-model/1.1.4/doxia-decoration-model-1.1.4.pom
fetchArtifact org/apache/maven/doxia/doxia-decoration-model/1.1.4/doxia-decoration-model-1.1.4.pom.sha1
fetchArtifact org/apache/maven/doxia/doxia-decoration-model/1.1.4/doxia-decoration-model-1.1.4.jar
fetchArtifact org/apache/maven/doxia/doxia-decoration-model/1.1.4/doxia-decoration-model-1.1.4.jar.sha1
fetchArtifact org/apache/maven/doxia/doxia-decoration-model/1.1.2/doxia-decoration-model-1.1.2.pom
fetchArtifact org/apache/maven/doxia/doxia-decoration-model/1.1.2/doxia-decoration-model-1.1.2.pom.sha1
fetchArtifact org/apache/maven/doxia/doxia-module-fml/1.0/doxia-module-fml-1.0.jar.sha1
fetchArtifact org/apache/maven/doxia/doxia-module-fml/1.0/doxia-module-fml-1.0.pom.sha1
fetchArtifact org/apache/maven/doxia/doxia-module-fml/1.0/doxia-module-fml-1.0.jar
fetchArtifact org/apache/maven/doxia/doxia-module-fml/1.0/doxia-module-fml-1.0.pom
fetchArtifact org/apache/maven/doxia/doxia-module-fml/1.1.4/doxia-module-fml-1.1.4.pom.sha1
fetchArtifact org/apache/maven/doxia/doxia-module-fml/1.1.4/doxia-module-fml-1.1.4.jar.sha1
fetchArtifact org/apache/maven/doxia/doxia-module-fml/1.1.4/doxia-module-fml-1.1.4.jar
fetchArtifact org/apache/maven/doxia/doxia-module-fml/1.1.4/doxia-module-fml-1.1.4.pom
fetchArtifact org/apache/maven/doxia/doxia-module-fml/1.1.2/doxia-module-fml-1.1.2.pom
fetchArtifact org/apache/maven/doxia/doxia-module-fml/1.1.2/doxia-module-fml-1.1.2.pom.sha1
fetchArtifact org/apache/maven/doxia/doxia-module-apt/1.0/doxia-module-apt-1.0.jar.sha1
fetchArtifact org/apache/maven/doxia/doxia-module-apt/1.0/doxia-module-apt-1.0.jar
fetchArtifact org/apache/maven/doxia/doxia-module-apt/1.0/doxia-module-apt-1.0.pom
fetchArtifact org/apache/maven/doxia/doxia-module-apt/1.0/doxia-module-apt-1.0.pom.sha1
fetchArtifact org/apache/maven/doxia/doxia-sitetools/1.0/doxia-sitetools-1.0.pom.sha1
fetchArtifact org/apache/maven/doxia/doxia-sitetools/1.0/doxia-sitetools-1.0.pom
fetchArtifact org/apache/maven/doxia/doxia-sitetools/1.1.4/doxia-sitetools-1.1.4.pom
fetchArtifact org/apache/maven/doxia/doxia-sitetools/1.1.4/doxia-sitetools-1.1.4.pom.sha1
fetchArtifact org/apache/maven/doxia/doxia-sitetools/1.1.2/doxia-sitetools-1.1.2.pom
fetchArtifact org/apache/maven/doxia/doxia-sitetools/1.1.2/doxia-sitetools-1.1.2.pom.sha1
fetchArtifact org/apache/maven/doxia/doxia-core/1.0/doxia-core-1.0.pom
fetchArtifact org/apache/maven/doxia/doxia-core/1.0/doxia-core-1.0.jar.sha1
fetchArtifact org/apache/maven/doxia/doxia-core/1.0/doxia-core-1.0.jar
fetchArtifact org/apache/maven/doxia/doxia-core/1.0/doxia-core-1.0.pom.sha1
fetchArtifact org/apache/maven/doxia/doxia-core/1.1.4/doxia-core-1.1.4.pom.sha1
fetchArtifact org/apache/maven/doxia/doxia-core/1.1.4/doxia-core-1.1.4.jar
fetchArtifact org/apache/maven/doxia/doxia-core/1.1.4/doxia-core-1.1.4.pom
fetchArtifact org/apache/maven/doxia/doxia-core/1.1.4/doxia-core-1.1.4.jar.sha1
fetchArtifact org/apache/maven/doxia/doxia-core/1.1.2/doxia-core-1.1.2.pom
fetchArtifact org/apache/maven/doxia/doxia-core/1.1.2/doxia-core-1.1.2.pom.sha1
fetchArtifact org/apache/maven/doxia/doxia-logging-api/1.1.4/doxia-logging-api-1.1.4.jar
fetchArtifact org/apache/maven/doxia/doxia-logging-api/1.1.4/doxia-logging-api-1.1.4.pom
fetchArtifact org/apache/maven/doxia/doxia-logging-api/1.1.4/doxia-logging-api-1.1.4.pom.sha1
fetchArtifact org/apache/maven/doxia/doxia-logging-api/1.1.4/doxia-logging-api-1.1.4.jar.sha1
fetchArtifact org/apache/maven/doxia/doxia-logging-api/1.1.2/doxia-logging-api-1.1.2.jar.sha1
fetchArtifact org/apache/maven/doxia/doxia-logging-api/1.1.2/doxia-logging-api-1.1.2.pom
fetchArtifact org/apache/maven/doxia/doxia-logging-api/1.1.2/doxia-logging-api-1.1.2.pom.sha1
fetchArtifact org/apache/maven/doxia/doxia-logging-api/1.1.2/doxia-logging-api-1.1.2.jar
fetchArtifact org/apache/maven/doxia/doxia-sink-api/1.0-alpha-10/doxia-sink-api-1.0-alpha-10.pom.sha1
fetchArtifact org/apache/maven/doxia/doxia-sink-api/1.0-alpha-10/doxia-sink-api-1.0-alpha-10.pom
fetchArtifact org/apache/maven/doxia/doxia-sink-api/1.0/doxia-sink-api-1.0.jar.sha1
fetchArtifact org/apache/maven/doxia/doxia-sink-api/1.0/doxia-sink-api-1.0.jar
fetchArtifact org/apache/maven/doxia/doxia-sink-api/1.0/doxia-sink-api-1.0.pom.sha1
fetchArtifact org/apache/maven/doxia/doxia-sink-api/1.0/doxia-sink-api-1.0.pom
fetchArtifact org/apache/maven/doxia/doxia-sink-api/1.1.4/doxia-sink-api-1.1.4.pom
fetchArtifact org/apache/maven/doxia/doxia-sink-api/1.1.4/doxia-sink-api-1.1.4.pom.sha1
fetchArtifact org/apache/maven/doxia/doxia-sink-api/1.1.4/doxia-sink-api-1.1.4.jar.sha1
fetchArtifact org/apache/maven/doxia/doxia-sink-api/1.1.4/doxia-sink-api-1.1.4.jar
fetchArtifact org/apache/maven/doxia/doxia-sink-api/1.1.2/doxia-sink-api-1.1.2.jar.sha1
fetchArtifact org/apache/maven/doxia/doxia-sink-api/1.1.2/doxia-sink-api-1.1.2.pom
fetchArtifact org/apache/maven/doxia/doxia-sink-api/1.1.2/doxia-sink-api-1.1.2.jar
fetchArtifact org/apache/maven/doxia/doxia-sink-api/1.1.2/doxia-sink-api-1.1.2.pom.sha1
fetchArtifact org/apache/maven/doxia/doxia-sink-api/1.0-alpha-7/doxia-sink-api-1.0-alpha-7.pom.sha1
fetchArtifact org/apache/maven/doxia/doxia-sink-api/1.0-alpha-7/doxia-sink-api-1.0-alpha-7.jar
fetchArtifact org/apache/maven/doxia/doxia-sink-api/1.0-alpha-7/doxia-sink-api-1.0-alpha-7.jar.sha1
fetchArtifact org/apache/maven/doxia/doxia-sink-api/1.0-alpha-7/doxia-sink-api-1.0-alpha-7.pom
fetchArtifact org/apache/maven/doxia/doxia-module-xhtml/1.0/doxia-module-xhtml-1.0.jar.sha1
fetchArtifact org/apache/maven/doxia/doxia-module-xhtml/1.0/doxia-module-xhtml-1.0.jar
fetchArtifact org/apache/maven/doxia/doxia-module-xhtml/1.0/doxia-module-xhtml-1.0.pom
fetchArtifact org/apache/maven/doxia/doxia-module-xhtml/1.0/doxia-module-xhtml-1.0.pom.sha1
fetchArtifact org/apache/maven/doxia/doxia-module-xhtml/1.1.4/doxia-module-xhtml-1.1.4.jar
fetchArtifact org/apache/maven/doxia/doxia-module-xhtml/1.1.4/doxia-module-xhtml-1.1.4.jar.sha1
fetchArtifact org/apache/maven/doxia/doxia-module-xhtml/1.1.4/doxia-module-xhtml-1.1.4.pom.sha1
fetchArtifact org/apache/maven/doxia/doxia-module-xhtml/1.1.4/doxia-module-xhtml-1.1.4.pom
fetchArtifact org/apache/maven/doxia/doxia-module-xhtml/1.1.2/doxia-module-xhtml-1.1.2.pom.sha1
fetchArtifact org/apache/maven/doxia/doxia-module-xhtml/1.1.2/doxia-module-xhtml-1.1.2.pom
fetchArtifact org/apache/maven/doxia/doxia/1.0-alpha-10/doxia-1.0-alpha-10.pom.sha1
fetchArtifact org/apache/maven/doxia/doxia/1.0-alpha-10/doxia-1.0-alpha-10.pom
fetchArtifact org/apache/maven/doxia/doxia/1.0/doxia-1.0.pom
fetchArtifact org/apache/maven/doxia/doxia/1.0/doxia-1.0.pom.sha1
fetchArtifact org/apache/maven/doxia/doxia/1.1.4/doxia-1.1.4.pom.sha1
fetchArtifact org/apache/maven/doxia/doxia/1.1.4/doxia-1.1.4.pom
fetchArtifact org/apache/maven/doxia/doxia/1.1.2/doxia-1.1.2.pom.sha1
fetchArtifact org/apache/maven/doxia/doxia/1.1.2/doxia-1.1.2.pom
fetchArtifact org/apache/maven/doxia/doxia/1.0-alpha-7/doxia-1.0-alpha-7.pom.sha1
fetchArtifact org/apache/maven/doxia/doxia/1.0-alpha-7/doxia-1.0-alpha-7.pom
fetchArtifact org/apache/maven/doxia/doxia-site-renderer/1.0/doxia-site-renderer-1.0.pom
fetchArtifact org/apache/maven/doxia/doxia-site-renderer/1.0/doxia-site-renderer-1.0.jar.sha1
fetchArtifact org/apache/maven/doxia/doxia-site-renderer/1.0/doxia-site-renderer-1.0.jar
fetchArtifact org/apache/maven/doxia/doxia-site-renderer/1.0/doxia-site-renderer-1.0.pom.sha1
fetchArtifact org/apache/maven/doxia/doxia-site-renderer/1.1.4/doxia-site-renderer-1.1.4.jar.sha1
fetchArtifact org/apache/maven/doxia/doxia-site-renderer/1.1.4/doxia-site-renderer-1.1.4.jar
fetchArtifact org/apache/maven/doxia/doxia-site-renderer/1.1.4/doxia-site-renderer-1.1.4.pom
fetchArtifact org/apache/maven/doxia/doxia-site-renderer/1.1.4/doxia-site-renderer-1.1.4.pom.sha1
fetchArtifact org/apache/maven/doxia/doxia-site-renderer/1.1.2/doxia-site-renderer-1.1.2.pom
fetchArtifact org/apache/maven/doxia/doxia-site-renderer/1.1.2/doxia-site-renderer-1.1.2.pom.sha1
fetchArtifact org/apache/apache/7/apache-7.pom
fetchArtifact org/apache/apache/7/apache-7.pom.sha1
fetchArtifact org/apache/apache/4/apache-4.pom
fetchArtifact org/apache/apache/4/apache-4.pom.sha1
fetchArtifact org/apache/apache/1/apache-1.pom
fetchArtifact org/apache/apache/1/apache-1.pom.sha1
fetchArtifact org/apache/apache/9/apache-9.pom
fetchArtifact org/apache/apache/9/apache-9.pom.sha1
fetchArtifact org/apache/apache/14/apache-14.pom.sha1
fetchArtifact org/apache/apache/14/apache-14.pom
fetchArtifact org/apache/apache/13/apache-13.pom
fetchArtifact org/apache/apache/13/apache-13.pom.sha1
fetchArtifact org/apache/apache/3/apache-3.pom
fetchArtifact org/apache/apache/3/apache-3.pom.sha1
fetchArtifact org/apache/apache/5/apache-5.pom
fetchArtifact org/apache/apache/5/apache-5.pom.sha1
fetchArtifact org/apache/apache/6/apache-6.pom.sha1
fetchArtifact org/apache/apache/6/apache-6.pom
fetchArtifact org/apache/apache/11/apache-11.pom
fetchArtifact org/apache/apache/11/apache-11.pom.sha1
fetchArtifact org/apache/apache/10/apache-10.pom
fetchArtifact org/apache/apache/10/apache-10.pom.sha1
fetchArtifact org/apache/mesos/mesos/0.20.1/mesos-0.20.1.pom
fetchArtifact org/apache/mesos/mesos/0.20.1/mesos-0.20.1.pom.sha1
fetchArtifact org/apache/mesos/mesos/0.20.1/mesos-0.20.1.jar.sha1
fetchArtifact org/apache/mesos/mesos/0.20.1/mesos-0.20.1.jar
fetchArtifact org/apache/zookeeper/zookeeper/3.4.6/zookeeper-3.4.6.pom
fetchArtifact org/apache/zookeeper/zookeeper/3.4.6/zookeeper-3.4.6.jar
fetchArtifact org/apache/zookeeper/zookeeper/3.4.6/zookeeper-3.4.6.pom.sha1
fetchArtifact org/apache/zookeeper/zookeeper/3.4.6/zookeeper-3.4.6.jar.sha1
fetchArtifact org/apache/curator/apache-curator/2.6.0/apache-curator-2.6.0.pom
fetchArtifact org/apache/curator/apache-curator/2.6.0/apache-curator-2.6.0.pom.sha1
fetchArtifact org/apache/curator/curator-framework/2.6.0/curator-framework-2.6.0.pom.sha1
fetchArtifact org/apache/curator/curator-framework/2.6.0/curator-framework-2.6.0.jar
fetchArtifact org/apache/curator/curator-framework/2.6.0/curator-framework-2.6.0.pom
fetchArtifact org/apache/curator/curator-framework/2.6.0/curator-framework-2.6.0.jar.sha1
fetchArtifact org/apache/curator/curator-client/2.6.0/curator-client-2.6.0.jar
fetchArtifact org/apache/curator/curator-client/2.6.0/curator-client-2.6.0.jar.sha1
fetchArtifact org/apache/curator/curator-client/2.6.0/curator-client-2.6.0.pom.sha1
fetchArtifact org/apache/curator/curator-client/2.6.0/curator-client-2.6.0.pom
fetchArtifact org/apache/curator/curator-test/2.6.0/curator-test-2.6.0.pom.sha1
fetchArtifact org/apache/curator/curator-test/2.6.0/curator-test-2.6.0.jar
fetchArtifact org/apache/curator/curator-test/2.6.0/curator-test-2.6.0.pom
fetchArtifact org/apache/curator/curator-test/2.6.0/curator-test-2.6.0.jar.sha1
fetchArtifact org/apache/curator/curator-recipes/2.6.0/curator-recipes-2.6.0.jar.sha1
fetchArtifact org/apache/curator/curator-recipes/2.6.0/curator-recipes-2.6.0.pom.sha1
fetchArtifact org/apache/curator/curator-recipes/2.6.0/curator-recipes-2.6.0.pom
fetchArtifact org/apache/curator/curator-recipes/2.6.0/curator-recipes-2.6.0.jar
fetchArtifact org/apache/commons/commons-lang3/3.1/commons-lang3-3.1.pom
fetchArtifact org/apache/commons/commons-lang3/3.1/commons-lang3-3.1.jar.sha1
fetchArtifact org/apache/commons/commons-lang3/3.1/commons-lang3-3.1.jar
fetchArtifact org/apache/commons/commons-lang3/3.1/commons-lang3-3.1.pom.sha1
fetchArtifact org/apache/commons/commons-math/2.2/commons-math-2.2.jar.sha1
fetchArtifact org/apache/commons/commons-math/2.2/commons-math-2.2.pom
fetchArtifact org/apache/commons/commons-math/2.2/commons-math-2.2.jar
fetchArtifact org/apache/commons/commons-math/2.2/commons-math-2.2.pom.sha1
fetchArtifact org/apache/commons/commons-email/1.3.2/commons-email-1.3.2.jar
fetchArtifact org/apache/commons/commons-email/1.3.2/commons-email-1.3.2.jar.sha1
fetchArtifact org/apache/commons/commons-email/1.3.2/commons-email-1.3.2.pom.sha1
fetchArtifact org/apache/commons/commons-email/1.3.2/commons-email-1.3.2.pom
fetchArtifact org/apache/commons/commons-exec/1.0.1/commons-exec-1.0.1.jar
fetchArtifact org/apache/commons/commons-exec/1.0.1/commons-exec-1.0.1.pom.sha1
fetchArtifact org/apache/commons/commons-exec/1.0.1/commons-exec-1.0.1.pom
fetchArtifact org/apache/commons/commons-exec/1.0.1/commons-exec-1.0.1.jar.sha1
fetchArtifact org/apache/commons/commons-parent/28/commons-parent-28.pom.sha1
fetchArtifact org/apache/commons/commons-parent/28/commons-parent-28.pom
fetchArtifact org/apache/commons/commons-parent/7/commons-parent-7.pom.sha1
fetchArtifact org/apache/commons/commons-parent/7/commons-parent-7.pom
fetchArtifact org/apache/commons/commons-parent/22/commons-parent-22.pom
fetchArtifact org/apache/commons/commons-parent/22/commons-parent-22.pom.sha1
fetchArtifact org/apache/commons/commons-parent/9/commons-parent-9.pom.sha1
fetchArtifact org/apache/commons/commons-parent/9/commons-parent-9.pom
fetchArtifact org/apache/commons/commons-parent/24/commons-parent-24.pom
fetchArtifact org/apache/commons/commons-parent/24/commons-parent-24.pom.sha1
fetchArtifact org/apache/commons/commons-parent/17/commons-parent-17.pom.sha1
fetchArtifact org/apache/commons/commons-parent/17/commons-parent-17.pom
fetchArtifact org/apache/commons/commons-parent/32/commons-parent-32.pom.sha1
fetchArtifact org/apache/commons/commons-parent/32/commons-parent-32.pom
fetchArtifact org/apache/commons/commons-parent/5/commons-parent-5.pom
fetchArtifact org/apache/commons/commons-parent/5/commons-parent-5.pom.sha1
fetchArtifact org/apache/commons/commons-parent/18/commons-parent-18.pom.sha1
fetchArtifact org/apache/commons/commons-parent/18/commons-parent-18.pom
fetchArtifact org/apache/commons/commons-parent/11/commons-parent-11.pom.sha1
fetchArtifact org/apache/commons/commons-parent/11/commons-parent-11.pom
fetchArtifact org/apache/commons/commons-math3/3.2/commons-math3-3.2.pom.sha1
fetchArtifact org/apache/commons/commons-math3/3.2/commons-math3-3.2.jar.sha1
fetchArtifact org/apache/commons/commons-math3/3.2/commons-math3-3.2.jar
fetchArtifact org/apache/commons/commons-math3/3.2/commons-math3-3.2.pom
fetchArtifact org/codehaus/jackson/jackson-mapper-asl/1.6.1/jackson-mapper-asl-1.6.1.pom
fetchArtifact org/codehaus/jackson/jackson-mapper-asl/1.6.1/jackson-mapper-asl-1.6.1.jar
fetchArtifact org/codehaus/jackson/jackson-mapper-asl/1.6.1/jackson-mapper-asl-1.6.1.pom.sha1
fetchArtifact org/codehaus/jackson/jackson-mapper-asl/1.6.1/jackson-mapper-asl-1.6.1.jar.sha1
fetchArtifact org/codehaus/jackson/jackson-core-asl/1.6.1/jackson-core-asl-1.6.1.jar
fetchArtifact org/codehaus/jackson/jackson-core-asl/1.6.1/jackson-core-asl-1.6.1.pom.sha1
fetchArtifact org/codehaus/jackson/jackson-core-asl/1.6.1/jackson-core-asl-1.6.1.pom
fetchArtifact org/codehaus/jackson/jackson-core-asl/1.6.1/jackson-core-asl-1.6.1.jar.sha1
fetchArtifact org/codehaus/codehaus-parent/4/codehaus-parent-4.pom
fetchArtifact org/codehaus/codehaus-parent/4/codehaus-parent-4.pom.sha1
fetchArtifact org/codehaus/plexus/plexus-components/1.1.19/plexus-components-1.1.19.pom.sha1
fetchArtifact org/codehaus/plexus/plexus-components/1.1.19/plexus-components-1.1.19.pom
fetchArtifact org/codehaus/plexus/plexus-components/1.3/plexus-components-1.3.pom
fetchArtifact org/codehaus/plexus/plexus-components/1.3/plexus-components-1.3.pom.sha1
fetchArtifact org/codehaus/plexus/plexus-components/1.1.18/plexus-components-1.1.18.pom.sha1
fetchArtifact org/codehaus/plexus/plexus-components/1.1.18/plexus-components-1.1.18.pom
fetchArtifact org/codehaus/plexus/plexus-components/1.2/plexus-components-1.2.pom.sha1
fetchArtifact org/codehaus/plexus/plexus-components/1.2/plexus-components-1.2.pom
fetchArtifact org/codehaus/plexus/plexus-components/1.1.14/plexus-components-1.1.14.pom
fetchArtifact org/codehaus/plexus/plexus-components/1.1.14/plexus-components-1.1.14.pom.sha1
fetchArtifact org/codehaus/plexus/plexus-components/1.1.15/plexus-components-1.1.15.pom.sha1
fetchArtifact org/codehaus/plexus/plexus-components/1.1.15/plexus-components-1.1.15.pom
fetchArtifact org/codehaus/plexus/plexus-components/1.1.12/plexus-components-1.1.12.pom.sha1
fetchArtifact org/codehaus/plexus/plexus-components/1.1.12/plexus-components-1.1.12.pom
fetchArtifact org/codehaus/plexus/plexus-containers/1.5.5/plexus-containers-1.5.5.pom
fetchArtifact org/codehaus/plexus/plexus-containers/1.5.5/plexus-containers-1.5.5.pom.sha1
fetchArtifact org/codehaus/plexus/plexus-containers/1.0-alpha-20/plexus-containers-1.0-alpha-20.pom.sha1
fetchArtifact org/codehaus/plexus/plexus-containers/1.0-alpha-20/plexus-containers-1.0-alpha-20.pom
fetchArtifact org/codehaus/plexus/plexus-containers/1.0.3/plexus-containers-1.0.3.pom
fetchArtifact org/codehaus/plexus/plexus-containers/1.0.3/plexus-containers-1.0.3.pom.sha1
fetchArtifact org/codehaus/plexus/plexus-containers/1.0-alpha-30/plexus-containers-1.0-alpha-30.pom.sha1
fetchArtifact org/codehaus/plexus/plexus-containers/1.0-alpha-30/plexus-containers-1.0-alpha-30.pom
fetchArtifact org/codehaus/plexus/plexus-containers/1.5.4/plexus-containers-1.5.4.pom
fetchArtifact org/codehaus/plexus/plexus-containers/1.5.4/plexus-containers-1.5.4.pom.sha1
fetchArtifact org/codehaus/plexus/plexus-container-default/1.5.5/plexus-container-default-1.5.5.pom
fetchArtifact org/codehaus/plexus/plexus-container-default/1.5.5/plexus-container-default-1.5.5.pom.sha1
fetchArtifact org/codehaus/plexus/plexus-container-default/1.0-alpha-20/plexus-container-default-1.0-alpha-20.pom.sha1
fetchArtifact org/codehaus/plexus/plexus-container-default/1.0-alpha-20/plexus-container-default-1.0-alpha-20.pom
fetchArtifact org/codehaus/plexus/plexus-container-default/1.0-alpha-30/plexus-container-default-1.0-alpha-30.pom
fetchArtifact org/codehaus/plexus/plexus-container-default/1.0-alpha-30/plexus-container-default-1.0-alpha-30.pom.sha1
fetchArtifact org/codehaus/plexus/plexus-container-default/1.0-alpha-9-stable-1/plexus-container-default-1.0-alpha-9-stable-1.jar
fetchArtifact org/codehaus/plexus/plexus-container-default/1.0-alpha-9-stable-1/plexus-container-default-1.0-alpha-9-stable-1.jar.sha1
fetchArtifact org/codehaus/plexus/plexus-container-default/1.0-alpha-9-stable-1/plexus-container-default-1.0-alpha-9-stable-1.pom
fetchArtifact org/codehaus/plexus/plexus-container-default/1.0-alpha-9-stable-1/plexus-container-default-1.0-alpha-9-stable-1.pom.sha1
fetchArtifact org/codehaus/plexus/plexus-container-default/1.0-alpha-9/plexus-container-default-1.0-alpha-9.pom.sha1
fetchArtifact org/codehaus/plexus/plexus-container-default/1.0-alpha-9/plexus-container-default-1.0-alpha-9.pom
fetchArtifact org/codehaus/plexus/plexus-compiler-javac/1.8.1/plexus-compiler-javac-1.8.1.pom.sha1
fetchArtifact org/codehaus/plexus/plexus-compiler-javac/1.8.1/plexus-compiler-javac-1.8.1.pom
fetchArtifact org/codehaus/plexus/plexus-compiler-javac/1.8.1/plexus-compiler-javac-1.8.1.jar.sha1
fetchArtifact org/codehaus/plexus/plexus-compiler-javac/1.8.1/plexus-compiler-javac-1.8.1.jar
fetchArtifact org/codehaus/plexus/plexus-compilers/1.8.1/plexus-compilers-1.8.1.pom.sha1
fetchArtifact org/codehaus/plexus/plexus-compilers/1.8.1/plexus-compilers-1.8.1.pom
fetchArtifact org/codehaus/plexus/plexus-archiver/2.3/plexus-archiver-2.3.pom
fetchArtifact org/codehaus/plexus/plexus-archiver/2.3/plexus-archiver-2.3.jar
fetchArtifact org/codehaus/plexus/plexus-archiver/2.3/plexus-archiver-2.3.jar.sha1
fetchArtifact org/codehaus/plexus/plexus-archiver/2.3/plexus-archiver-2.3.pom.sha1
fetchArtifact org/codehaus/plexus/plexus-archiver/2.1/plexus-archiver-2.1.pom.sha1
fetchArtifact org/codehaus/plexus/plexus-archiver/2.1/plexus-archiver-2.1.jar.sha1
fetchArtifact org/codehaus/plexus/plexus-archiver/2.1/plexus-archiver-2.1.jar
fetchArtifact org/codehaus/plexus/plexus-archiver/2.1/plexus-archiver-2.1.pom
fetchArtifact org/codehaus/plexus/plexus-component-annotations/1.5.5/plexus-component-annotations-1.5.5.pom.sha1
fetchArtifact org/codehaus/plexus/plexus-component-annotations/1.5.5/plexus-component-annotations-1.5.5.jar.sha1
fetchArtifact org/codehaus/plexus/plexus-component-annotations/1.5.5/plexus-component-annotations-1.5.5.pom
fetchArtifact org/codehaus/plexus/plexus-component-annotations/1.5.5/plexus-component-annotations-1.5.5.jar
fetchArtifact org/codehaus/plexus/plexus-component-annotations/1.5.4/plexus-component-annotations-1.5.4.pom
fetchArtifact org/codehaus/plexus/plexus-component-annotations/1.5.4/plexus-component-annotations-1.5.4.pom.sha1
fetchArtifact org/codehaus/plexus/plexus-interpolation/1.14/plexus-interpolation-1.14.pom
fetchArtifact org/codehaus/plexus/plexus-interpolation/1.14/plexus-interpolation-1.14.jar
fetchArtifact org/codehaus/plexus/plexus-interpolation/1.14/plexus-interpolation-1.14.jar.sha1
fetchArtifact org/codehaus/plexus/plexus-interpolation/1.14/plexus-interpolation-1.14.pom.sha1
fetchArtifact org/codehaus/plexus/plexus-interpolation/1.13/plexus-interpolation-1.13.jar.sha1
fetchArtifact org/codehaus/plexus/plexus-interpolation/1.13/plexus-interpolation-1.13.pom
fetchArtifact org/codehaus/plexus/plexus-interpolation/1.13/plexus-interpolation-1.13.jar
fetchArtifact org/codehaus/plexus/plexus-interpolation/1.13/plexus-interpolation-1.13.pom.sha1
fetchArtifact org/codehaus/plexus/plexus-interpolation/1.12/plexus-interpolation-1.12.pom.sha1
fetchArtifact org/codehaus/plexus/plexus-interpolation/1.12/plexus-interpolation-1.12.pom
fetchArtifact org/codehaus/plexus/plexus-interpolation/1.11/plexus-interpolation-1.11.pom.sha1
fetchArtifact org/codehaus/plexus/plexus-interpolation/1.11/plexus-interpolation-1.11.pom
fetchArtifact org/codehaus/plexus/plexus-interpolation/1.15/plexus-interpolation-1.15.pom
fetchArtifact org/codehaus/plexus/plexus-interpolation/1.15/plexus-interpolation-1.15.jar
fetchArtifact org/codehaus/plexus/plexus-interpolation/1.15/plexus-interpolation-1.15.pom.sha1
fetchArtifact org/codehaus/plexus/plexus-interpolation/1.15/plexus-interpolation-1.15.jar.sha1
fetchArtifact org/codehaus/plexus/plexus-interpolation/1.1/plexus-interpolation-1.1.pom
fetchArtifact org/codehaus/plexus/plexus-interpolation/1.1/plexus-interpolation-1.1.pom.sha1
fetchArtifact org/codehaus/plexus/plexus-interpolation/1.1/plexus-interpolation-1.1.jar.sha1
fetchArtifact org/codehaus/plexus/plexus-interpolation/1.1/plexus-interpolation-1.1.jar
fetchArtifact org/codehaus/plexus/plexus-utils/3.0.10/plexus-utils-3.0.10.pom.sha1
fetchArtifact org/codehaus/plexus/plexus-utils/3.0.10/plexus-utils-3.0.10.pom
fetchArtifact org/codehaus/plexus/plexus-utils/1.5.5/plexus-utils-1.5.5.pom.sha1
fetchArtifact org/codehaus/plexus/plexus-utils/1.5.5/plexus-utils-1.5.5.pom
fetchArtifact org/codehaus/plexus/plexus-utils/1.5.7/plexus-utils-1.5.7.pom
fetchArtifact org/codehaus/plexus/plexus-utils/1.5.7/plexus-utils-1.5.7.pom.sha1
fetchArtifact org/codehaus/plexus/plexus-utils/2.0.5/plexus-utils-2.0.5.jar
fetchArtifact org/codehaus/plexus/plexus-utils/2.0.5/plexus-utils-2.0.5.pom.sha1
fetchArtifact org/codehaus/plexus/plexus-utils/2.0.5/plexus-utils-2.0.5.jar.sha1
fetchArtifact org/codehaus/plexus/plexus-utils/2.0.5/plexus-utils-2.0.5.pom
fetchArtifact org/codehaus/plexus/plexus-utils/1.0.4/plexus-utils-1.0.4.pom
fetchArtifact org/codehaus/plexus/plexus-utils/1.0.4/plexus-utils-1.0.4.pom.sha1
fetchArtifact org/codehaus/plexus/plexus-utils/1.5.8/plexus-utils-1.5.8.pom
fetchArtifact org/codehaus/plexus/plexus-utils/1.5.8/plexus-utils-1.5.8.pom.sha1
fetchArtifact org/codehaus/plexus/plexus-utils/3.0/plexus-utils-3.0.jar.sha1
fetchArtifact org/codehaus/plexus/plexus-utils/3.0/plexus-utils-3.0.pom.sha1
fetchArtifact org/codehaus/plexus/plexus-utils/3.0/plexus-utils-3.0.pom
fetchArtifact org/codehaus/plexus/plexus-utils/3.0/plexus-utils-3.0.jar
fetchArtifact org/codehaus/plexus/plexus-utils/1.3/plexus-utils-1.3.pom.sha1
fetchArtifact org/codehaus/plexus/plexus-utils/1.3/plexus-utils-1.3.pom
fetchArtifact org/codehaus/plexus/plexus-utils/1.4.2/plexus-utils-1.4.2.pom.sha1
fetchArtifact org/codehaus/plexus/plexus-utils/1.4.2/plexus-utils-1.4.2.pom
fetchArtifact org/codehaus/plexus/plexus-utils/1.4.5/plexus-utils-1.4.5.pom.sha1
fetchArtifact org/codehaus/plexus/plexus-utils/1.4.5/plexus-utils-1.4.5.pom
fetchArtifact org/codehaus/plexus/plexus-utils/3.0.15/plexus-utils-3.0.15.jar
fetchArtifact org/codehaus/plexus/plexus-utils/3.0.15/plexus-utils-3.0.15.jar.sha1
fetchArtifact org/codehaus/plexus/plexus-utils/3.0.15/plexus-utils-3.0.15.pom
fetchArtifact org/codehaus/plexus/plexus-utils/3.0.15/plexus-utils-3.0.15.pom.sha1
fetchArtifact org/codehaus/plexus/plexus-utils/1.5.1/plexus-utils-1.5.1.pom
fetchArtifact org/codehaus/plexus/plexus-utils/1.5.1/plexus-utils-1.5.1.pom.sha1
fetchArtifact org/codehaus/plexus/plexus-utils/1.5.1/plexus-utils-1.5.1.jar
fetchArtifact org/codehaus/plexus/plexus-utils/1.5.1/plexus-utils-1.5.1.jar.sha1
fetchArtifact org/codehaus/plexus/plexus-utils/3.0.8/plexus-utils-3.0.8.jar.sha1
fetchArtifact org/codehaus/plexus/plexus-utils/3.0.8/plexus-utils-3.0.8.jar
fetchArtifact org/codehaus/plexus/plexus-utils/3.0.8/plexus-utils-3.0.8.pom.sha1
fetchArtifact org/codehaus/plexus/plexus-utils/3.0.8/plexus-utils-3.0.8.pom
fetchArtifact org/codehaus/plexus/plexus-utils/1.4.1/plexus-utils-1.4.1.pom
fetchArtifact org/codehaus/plexus/plexus-utils/1.4.1/plexus-utils-1.4.1.pom.sha1
fetchArtifact org/codehaus/plexus/plexus-utils/1.1/plexus-utils-1.1.pom.sha1
fetchArtifact org/codehaus/plexus/plexus-utils/1.1/plexus-utils-1.1.pom
fetchArtifact org/codehaus/plexus/plexus-utils/1.5.6/plexus-utils-1.5.6.pom.sha1
fetchArtifact org/codehaus/plexus/plexus-utils/1.5.6/plexus-utils-1.5.6.pom
fetchArtifact org/codehaus/plexus/plexus-utils/1.4.6/plexus-utils-1.4.6.pom
fetchArtifact org/codehaus/plexus/plexus-utils/1.4.6/plexus-utils-1.4.6.pom.sha1
fetchArtifact org/codehaus/plexus/plexus-utils/1.5.15/plexus-utils-1.5.15.pom.sha1
fetchArtifact org/codehaus/plexus/plexus-utils/1.5.15/plexus-utils-1.5.15.pom
fetchArtifact org/codehaus/plexus/plexus-utils/2.0.4/plexus-utils-2.0.4.pom.sha1
fetchArtifact org/codehaus/plexus/plexus-utils/2.0.4/plexus-utils-2.0.4.pom
fetchArtifact org/codehaus/plexus/plexus-utils/3.0.9/plexus-utils-3.0.9.jar
fetchArtifact org/codehaus/plexus/plexus-utils/3.0.9/plexus-utils-3.0.9.pom.sha1
fetchArtifact org/codehaus/plexus/plexus-utils/3.0.9/plexus-utils-3.0.9.pom
fetchArtifact org/codehaus/plexus/plexus-utils/3.0.9/plexus-utils-3.0.9.jar.sha1
fetchArtifact org/codehaus/plexus/plexus-utils/1.5.12/plexus-utils-1.5.12.pom
fetchArtifact org/codehaus/plexus/plexus-utils/1.5.12/plexus-utils-1.5.12.pom.sha1
fetchArtifact org/codehaus/plexus/plexus-utils/2.1/plexus-utils-2.1.pom
fetchArtifact org/codehaus/plexus/plexus-utils/2.1/plexus-utils-2.1.pom.sha1
fetchArtifact org/codehaus/plexus/plexus-compiler-api/1.8.1/plexus-compiler-api-1.8.1.jar
fetchArtifact org/codehaus/plexus/plexus-compiler-api/1.8.1/plexus-compiler-api-1.8.1.pom
fetchArtifact org/codehaus/plexus/plexus-compiler-api/1.8.1/plexus-compiler-api-1.8.1.pom.sha1
fetchArtifact org/codehaus/plexus/plexus-compiler-api/1.8.1/plexus-compiler-api-1.8.1.jar.sha1
fetchArtifact org/codehaus/plexus/plexus-io/2.0.6/plexus-io-2.0.6.pom.sha1
fetchArtifact org/codehaus/plexus/plexus-io/2.0.6/plexus-io-2.0.6.jar
fetchArtifact org/codehaus/plexus/plexus-io/2.0.6/plexus-io-2.0.6.jar.sha1
fetchArtifact org/codehaus/plexus/plexus-io/2.0.6/plexus-io-2.0.6.pom
fetchArtifact org/codehaus/plexus/plexus-io/2.0.2/plexus-io-2.0.2.pom.sha1
fetchArtifact org/codehaus/plexus/plexus-io/2.0.2/plexus-io-2.0.2.jar.sha1
fetchArtifact org/codehaus/plexus/plexus-io/2.0.2/plexus-io-2.0.2.jar
fetchArtifact org/codehaus/plexus/plexus-io/2.0.2/plexus-io-2.0.2.pom
fetchArtifact org/codehaus/plexus/plexus-i18n/1.0-beta-7/plexus-i18n-1.0-beta-7.pom.sha1
fetchArtifact org/codehaus/plexus/plexus-i18n/1.0-beta-7/plexus-i18n-1.0-beta-7.pom
fetchArtifact org/codehaus/plexus/plexus-i18n/1.0-beta-7/plexus-i18n-1.0-beta-7.jar
fetchArtifact org/codehaus/plexus/plexus-i18n/1.0-beta-7/plexus-i18n-1.0-beta-7.jar.sha1
fetchArtifact org/codehaus/plexus/plexus-compiler-manager/1.8.1/plexus-compiler-manager-1.8.1.jar
fetchArtifact org/codehaus/plexus/plexus-compiler-manager/1.8.1/plexus-compiler-manager-1.8.1.pom.sha1
fetchArtifact org/codehaus/plexus/plexus-compiler-manager/1.8.1/plexus-compiler-manager-1.8.1.jar.sha1
fetchArtifact org/codehaus/plexus/plexus-compiler-manager/1.8.1/plexus-compiler-manager-1.8.1.pom
fetchArtifact org/codehaus/plexus/plexus/2.0.5/plexus-2.0.5.pom.sha1
fetchArtifact org/codehaus/plexus/plexus/2.0.5/plexus-2.0.5.pom
fetchArtifact org/codehaus/plexus/plexus/1.0.4/plexus-1.0.4.pom
fetchArtifact org/codehaus/plexus/plexus/1.0.4/plexus-1.0.4.pom.sha1
fetchArtifact org/codehaus/plexus/plexus/1.0.9/plexus-1.0.9.pom.sha1
fetchArtifact org/codehaus/plexus/plexus/1.0.9/plexus-1.0.9.pom
fetchArtifact org/codehaus/plexus/plexus/1.0.12/plexus-1.0.12.pom.sha1
fetchArtifact org/codehaus/plexus/plexus/1.0.12/plexus-1.0.12.pom
fetchArtifact org/codehaus/plexus/plexus/2.0.6/plexus-2.0.6.pom
fetchArtifact org/codehaus/plexus/plexus/2.0.6/plexus-2.0.6.pom.sha1
fetchArtifact org/codehaus/plexus/plexus/3.3/plexus-3.3.pom.sha1
fetchArtifact org/codehaus/plexus/plexus/3.3/plexus-3.3.pom
fetchArtifact org/codehaus/plexus/plexus/1.0.11/plexus-1.0.11.pom.sha1
fetchArtifact org/codehaus/plexus/plexus/1.0.11/plexus-1.0.11.pom
fetchArtifact org/codehaus/plexus/plexus/1.0.10/plexus-1.0.10.pom.sha1
fetchArtifact org/codehaus/plexus/plexus/1.0.10/plexus-1.0.10.pom
fetchArtifact org/codehaus/plexus/plexus/3.3.1/plexus-3.3.1.pom
fetchArtifact org/codehaus/plexus/plexus/3.3.1/plexus-3.3.1.pom.sha1
fetchArtifact org/codehaus/plexus/plexus/1.0.8/plexus-1.0.8.pom
fetchArtifact org/codehaus/plexus/plexus/1.0.8/plexus-1.0.8.pom.sha1
fetchArtifact org/codehaus/plexus/plexus/2.0.2/plexus-2.0.2.pom
fetchArtifact org/codehaus/plexus/plexus/2.0.2/plexus-2.0.2.pom.sha1
fetchArtifact org/codehaus/plexus/plexus/3.2/plexus-3.2.pom
fetchArtifact org/codehaus/plexus/plexus/3.2/plexus-3.2.pom.sha1
fetchArtifact org/codehaus/plexus/plexus/2.0.7/plexus-2.0.7.pom.sha1
fetchArtifact org/codehaus/plexus/plexus/2.0.7/plexus-2.0.7.pom
fetchArtifact org/codehaus/plexus/plexus/3.0.1/plexus-3.0.1.pom
fetchArtifact org/codehaus/plexus/plexus/3.0.1/plexus-3.0.1.pom.sha1
fetchArtifact org/codehaus/plexus/plexus/2.0.3/plexus-2.0.3.pom.sha1
fetchArtifact org/codehaus/plexus/plexus/2.0.3/plexus-2.0.3.pom
fetchArtifact org/codehaus/plexus/plexus-interactivity-api/1.0-alpha-4/plexus-interactivity-api-1.0-alpha-4.pom
fetchArtifact org/codehaus/plexus/plexus-interactivity-api/1.0-alpha-4/plexus-interactivity-api-1.0-alpha-4.jar.sha1
fetchArtifact org/codehaus/plexus/plexus-interactivity-api/1.0-alpha-4/plexus-interactivity-api-1.0-alpha-4.jar
fetchArtifact org/codehaus/plexus/plexus-interactivity-api/1.0-alpha-4/plexus-interactivity-api-1.0-alpha-4.pom.sha1
fetchArtifact org/codehaus/plexus/plexus-velocity/1.1.7/plexus-velocity-1.1.7.jar
fetchArtifact org/codehaus/plexus/plexus-velocity/1.1.7/plexus-velocity-1.1.7.pom
fetchArtifact org/codehaus/plexus/plexus-velocity/1.1.7/plexus-velocity-1.1.7.jar.sha1
fetchArtifact org/codehaus/plexus/plexus-velocity/1.1.7/plexus-velocity-1.1.7.pom.sha1
fetchArtifact org/codehaus/plexus/plexus-classworlds/1.2-alpha-9/plexus-classworlds-1.2-alpha-9.pom
fetchArtifact org/codehaus/plexus/plexus-classworlds/1.2-alpha-9/plexus-classworlds-1.2-alpha-9.pom.sha1
fetchArtifact org/codehaus/plexus/plexus-classworlds/1.2-alpha-7/plexus-classworlds-1.2-alpha-7.pom.sha1
fetchArtifact org/codehaus/plexus/plexus-classworlds/1.2-alpha-7/plexus-classworlds-1.2-alpha-7.pom
fetchArtifact org/codehaus/plexus/plexus-classworlds/2.2.3/plexus-classworlds-2.2.3.pom
fetchArtifact org/codehaus/plexus/plexus-classworlds/2.2.3/plexus-classworlds-2.2.3.pom.sha1
fetchArtifact org/codehaus/plexus/plexus-classworlds/2.2.2/plexus-classworlds-2.2.2.pom
fetchArtifact org/codehaus/plexus/plexus-classworlds/2.2.2/plexus-classworlds-2.2.2.pom.sha1
fetchArtifact org/codehaus/plexus/plexus-compiler/1.8.1/plexus-compiler-1.8.1.pom
fetchArtifact org/codehaus/plexus/plexus-compiler/1.8.1/plexus-compiler-1.8.1.pom.sha1
fetchArtifact org/parboiled/parboiled-java/1.1.4/parboiled-java-1.1.4.pom.sha1
fetchArtifact org/parboiled/parboiled-java/1.1.4/parboiled-java-1.1.4.pom
fetchArtifact org/parboiled/parboiled-java/1.1.4/parboiled-java-1.1.4.jar.sha1
fetchArtifact org/parboiled/parboiled-java/1.1.4/parboiled-java-1.1.4.jar
fetchArtifact org/parboiled/parboiled-core/1.1.4/parboiled-core-1.1.4.jar
fetchArtifact org/parboiled/parboiled-core/1.1.4/parboiled-core-1.1.4.jar.sha1
fetchArtifact org/parboiled/parboiled-core/1.1.4/parboiled-core-1.1.4.pom
fetchArtifact org/parboiled/parboiled-core/1.1.4/parboiled-core-1.1.4.pom.sha1
fetchArtifact org/eclipse/aether/aether-util/0.9.0.M2/aether-util-0.9.0.M2.pom.sha1
fetchArtifact org/eclipse/aether/aether-util/0.9.0.M2/aether-util-0.9.0.M2.pom
fetchArtifact org/eclipse/aether/aether-util/0.9.0.M2/aether-util-0.9.0.M2.jar
fetchArtifact org/eclipse/aether/aether-util/0.9.0.M2/aether-util-0.9.0.M2.jar.sha1
fetchArtifact org/eclipse/aether/aether/0.9.0.M2/aether-0.9.0.M2.pom.sha1
fetchArtifact org/eclipse/aether/aether/0.9.0.M2/aether-0.9.0.M2.pom
fetchArtifact org/eclipse/jetty/jetty-server/8.1.11.v20130520/jetty-server-8.1.11.v20130520.pom
fetchArtifact org/eclipse/jetty/jetty-server/8.1.11.v20130520/jetty-server-8.1.11.v20130520.pom.sha1
fetchArtifact org/eclipse/jetty/jetty-server/8.1.15.v20140411/jetty-server-8.1.15.v20140411.jar
fetchArtifact org/eclipse/jetty/jetty-server/8.1.15.v20140411/jetty-server-8.1.15.v20140411.pom
fetchArtifact org/eclipse/jetty/jetty-server/8.1.15.v20140411/jetty-server-8.1.15.v20140411.pom.sha1
fetchArtifact org/eclipse/jetty/jetty-server/8.1.15.v20140411/jetty-server-8.1.15.v20140411.jar.sha1
fetchArtifact org/eclipse/jetty/jetty-continuation/8.1.11.v20130520/jetty-continuation-8.1.11.v20130520.pom.sha1
fetchArtifact org/eclipse/jetty/jetty-continuation/8.1.11.v20130520/jetty-continuation-8.1.11.v20130520.pom
fetchArtifact org/eclipse/jetty/jetty-continuation/8.1.15.v20140411/jetty-continuation-8.1.15.v20140411.pom.sha1
fetchArtifact org/eclipse/jetty/jetty-continuation/8.1.15.v20140411/jetty-continuation-8.1.15.v20140411.pom
fetchArtifact org/eclipse/jetty/jetty-continuation/8.1.15.v20140411/jetty-continuation-8.1.15.v20140411.jar
fetchArtifact org/eclipse/jetty/jetty-continuation/8.1.15.v20140411/jetty-continuation-8.1.15.v20140411.jar.sha1
fetchArtifact org/eclipse/jetty/jetty-security/8.1.15.v20140411/jetty-security-8.1.15.v20140411.jar
fetchArtifact org/eclipse/jetty/jetty-security/8.1.15.v20140411/jetty-security-8.1.15.v20140411.jar.sha1
fetchArtifact org/eclipse/jetty/jetty-security/8.1.15.v20140411/jetty-security-8.1.15.v20140411.pom.sha1
fetchArtifact org/eclipse/jetty/jetty-security/8.1.15.v20140411/jetty-security-8.1.15.v20140411.pom
fetchArtifact org/eclipse/jetty/jetty-util/8.1.11.v20130520/jetty-util-8.1.11.v20130520.pom
fetchArtifact org/eclipse/jetty/jetty-util/8.1.11.v20130520/jetty-util-8.1.11.v20130520.pom.sha1
fetchArtifact org/eclipse/jetty/jetty-util/8.1.15.v20140411/jetty-util-8.1.15.v20140411.jar.sha1
fetchArtifact org/eclipse/jetty/jetty-util/8.1.15.v20140411/jetty-util-8.1.15.v20140411.pom
fetchArtifact org/eclipse/jetty/jetty-util/8.1.15.v20140411/jetty-util-8.1.15.v20140411.jar
fetchArtifact org/eclipse/jetty/jetty-util/8.1.15.v20140411/jetty-util-8.1.15.v20140411.pom.sha1
fetchArtifact org/eclipse/jetty/jetty-project/8.1.11.v20130520/jetty-project-8.1.11.v20130520.pom.sha1
fetchArtifact org/eclipse/jetty/jetty-project/8.1.11.v20130520/jetty-project-8.1.11.v20130520.pom
fetchArtifact org/eclipse/jetty/jetty-project/8.1.15.v20140411/jetty-project-8.1.15.v20140411.pom.sha1
fetchArtifact org/eclipse/jetty/jetty-project/8.1.15.v20140411/jetty-project-8.1.15.v20140411.pom
fetchArtifact org/eclipse/jetty/jetty-http/8.1.11.v20130520/jetty-http-8.1.11.v20130520.pom
fetchArtifact org/eclipse/jetty/jetty-http/8.1.11.v20130520/jetty-http-8.1.11.v20130520.pom.sha1
fetchArtifact org/eclipse/jetty/jetty-http/8.1.15.v20140411/jetty-http-8.1.15.v20140411.jar.sha1
fetchArtifact org/eclipse/jetty/jetty-http/8.1.15.v20140411/jetty-http-8.1.15.v20140411.pom.sha1
fetchArtifact org/eclipse/jetty/jetty-http/8.1.15.v20140411/jetty-http-8.1.15.v20140411.jar
fetchArtifact org/eclipse/jetty/jetty-http/8.1.15.v20140411/jetty-http-8.1.15.v20140411.pom
fetchArtifact org/eclipse/jetty/jetty-parent/20/jetty-parent-20.pom.sha1
fetchArtifact org/eclipse/jetty/jetty-parent/20/jetty-parent-20.pom
fetchArtifact org/eclipse/jetty/jetty-parent/18/jetty-parent-18.pom
fetchArtifact org/eclipse/jetty/jetty-parent/18/jetty-parent-18.pom.sha1
fetchArtifact org/eclipse/jetty/orbit/jetty-orbit/1/jetty-orbit-1.pom
fetchArtifact org/eclipse/jetty/orbit/jetty-orbit/1/jetty-orbit-1.pom.sha1
fetchArtifact org/eclipse/jetty/orbit/javax.servlet/3.0.0.v201112011016/javax.servlet-3.0.0.v201112011016.jar
fetchArtifact org/eclipse/jetty/orbit/javax.servlet/3.0.0.v201112011016/javax.servlet-3.0.0.v201112011016.pom.sha1
fetchArtifact org/eclipse/jetty/orbit/javax.servlet/3.0.0.v201112011016/javax.servlet-3.0.0.v201112011016.jar.sha1
fetchArtifact org/eclipse/jetty/orbit/javax.servlet/3.0.0.v201112011016/javax.servlet-3.0.0.v201112011016.pom
fetchArtifact org/eclipse/jetty/jetty-servlet/8.1.15.v20140411/jetty-servlet-8.1.15.v20140411.pom
fetchArtifact org/eclipse/jetty/jetty-servlet/8.1.15.v20140411/jetty-servlet-8.1.15.v20140411.jar
fetchArtifact org/eclipse/jetty/jetty-servlet/8.1.15.v20140411/jetty-servlet-8.1.15.v20140411.jar.sha1
fetchArtifact org/eclipse/jetty/jetty-servlet/8.1.15.v20140411/jetty-servlet-8.1.15.v20140411.pom.sha1
fetchArtifact org/eclipse/jetty/jetty-io/8.1.11.v20130520/jetty-io-8.1.11.v20130520.pom
fetchArtifact org/eclipse/jetty/jetty-io/8.1.11.v20130520/jetty-io-8.1.11.v20130520.pom.sha1
fetchArtifact org/eclipse/jetty/jetty-io/8.1.15.v20140411/jetty-io-8.1.15.v20140411.pom
fetchArtifact org/eclipse/jetty/jetty-io/8.1.15.v20140411/jetty-io-8.1.15.v20140411.pom.sha1
fetchArtifact org/eclipse/jetty/jetty-io/8.1.15.v20140411/jetty-io-8.1.15.v20140411.jar
fetchArtifact org/eclipse/jetty/jetty-io/8.1.15.v20140411/jetty-io-8.1.15.v20140411.jar.sha1
fetchArtifact org/scalaz/scalaz-core_2.11.0-RC3/7.0.6/scalaz-core_2.11.0-RC3-7.0.6.pom.sha1
fetchArtifact org/scalaz/scalaz-core_2.11.0-RC3/7.0.6/scalaz-core_2.11.0-RC3-7.0.6.pom
fetchArtifact org/scalaz/scalaz-core_2.11.0-RC3/7.0.6/scalaz-core_2.11.0-RC3-7.0.6.jar
fetchArtifact org/scalaz/scalaz-core_2.11.0-RC3/7.0.6/scalaz-core_2.11.0-RC3-7.0.6.jar.sha1
fetchArtifact org/scalaz/scalaz-effect_2.11.0-RC3/7.0.6/scalaz-effect_2.11.0-RC3-7.0.6.jar.sha1
fetchArtifact org/scalaz/scalaz-effect_2.11.0-RC3/7.0.6/scalaz-effect_2.11.0-RC3-7.0.6.pom.sha1
fetchArtifact org/scalaz/scalaz-effect_2.11.0-RC3/7.0.6/scalaz-effect_2.11.0-RC3-7.0.6.jar
fetchArtifact org/scalaz/scalaz-effect_2.11.0-RC3/7.0.6/scalaz-effect_2.11.0-RC3-7.0.6.pom
fetchArtifact org/scalaz/scalaz-concurrent_2.11.0-RC3/7.0.6/scalaz-concurrent_2.11.0-RC3-7.0.6.jar
fetchArtifact org/scalaz/scalaz-concurrent_2.11.0-RC3/7.0.6/scalaz-concurrent_2.11.0-RC3-7.0.6.pom
fetchArtifact org/scalaz/scalaz-concurrent_2.11.0-RC3/7.0.6/scalaz-concurrent_2.11.0-RC3-7.0.6.jar.sha1
fetchArtifact org/scalaz/scalaz-concurrent_2.11.0-RC3/7.0.6/scalaz-concurrent_2.11.0-RC3-7.0.6.pom.sha1
fetchArtifact org/hamcrest/hamcrest-core/1.3/hamcrest-core-1.3.jar
fetchArtifact org/hamcrest/hamcrest-core/1.3/hamcrest-core-1.3.pom
fetchArtifact org/hamcrest/hamcrest-core/1.3/hamcrest-core-1.3.pom.sha1
fetchArtifact org/hamcrest/hamcrest-core/1.3/hamcrest-core-1.3.jar.sha1
fetchArtifact org/hamcrest/hamcrest-core/1.1/hamcrest-core-1.1.pom
fetchArtifact org/hamcrest/hamcrest-core/1.1/hamcrest-core-1.1.pom.sha1
fetchArtifact org/hamcrest/hamcrest-parent/1.3/hamcrest-parent-1.3.pom
fetchArtifact org/hamcrest/hamcrest-parent/1.3/hamcrest-parent-1.3.pom.sha1
fetchArtifact org/hamcrest/hamcrest-parent/1.1/hamcrest-parent-1.1.pom.sha1
fetchArtifact org/hamcrest/hamcrest-parent/1.1/hamcrest-parent-1.1.pom
fetchArtifact org/sonatype/oss/oss-parent/7/oss-parent-7.pom.sha1
fetchArtifact org/sonatype/oss/oss-parent/7/oss-parent-7.pom
fetchArtifact org/sonatype/oss/oss-parent/5/oss-parent-5.pom
fetchArtifact org/sonatype/oss/oss-parent/5/oss-parent-5.pom.sha1
fetchArtifact org/sonatype/aether/aether-spi/1.7/aether-spi-1.7.pom.sha1
fetchArtifact org/sonatype/aether/aether-spi/1.7/aether-spi-1.7.pom
fetchArtifact org/sonatype/aether/aether-util/1.7/aether-util-1.7.jar
fetchArtifact org/sonatype/aether/aether-util/1.7/aether-util-1.7.jar.sha1
fetchArtifact org/sonatype/aether/aether-util/1.7/aether-util-1.7.pom.sha1
fetchArtifact org/sonatype/aether/aether-util/1.7/aether-util-1.7.pom
fetchArtifact org/sonatype/aether/aether-impl/1.7/aether-impl-1.7.pom.sha1
fetchArtifact org/sonatype/aether/aether-impl/1.7/aether-impl-1.7.pom
fetchArtifact org/sonatype/aether/aether-api/1.7/aether-api-1.7.pom.sha1
fetchArtifact org/sonatype/aether/aether-api/1.7/aether-api-1.7.pom
fetchArtifact org/sonatype/aether/aether-parent/1.7/aether-parent-1.7.pom
fetchArtifact org/sonatype/aether/aether-parent/1.7/aether-parent-1.7.pom.sha1
fetchArtifact org/sonatype/sisu/sisu-parent/1.4.2/sisu-parent-1.4.2.pom.sha1
fetchArtifact org/sonatype/sisu/sisu-parent/1.4.2/sisu-parent-1.4.2.pom
fetchArtifact org/sonatype/sisu/sisu-inject/1.4.2/sisu-inject-1.4.2.pom
fetchArtifact org/sonatype/sisu/sisu-inject/1.4.2/sisu-inject-1.4.2.pom.sha1
fetchArtifact org/sonatype/sisu/inject/guice-plexus/1.4.2/guice-plexus-1.4.2.pom
fetchArtifact org/sonatype/sisu/inject/guice-plexus/1.4.2/guice-plexus-1.4.2.pom.sha1
fetchArtifact org/sonatype/sisu/inject/guice-bean/1.4.2/guice-bean-1.4.2.pom
fetchArtifact org/sonatype/sisu/inject/guice-bean/1.4.2/guice-bean-1.4.2.pom.sha1
fetchArtifact org/sonatype/sisu/sisu-inject-plexus/1.4.2/sisu-inject-plexus-1.4.2.pom.sha1
fetchArtifact org/sonatype/sisu/sisu-inject-plexus/1.4.2/sisu-inject-plexus-1.4.2.pom
fetchArtifact org/sonatype/sisu/sisu-guice/2.1.7/sisu-guice-2.1.7-noaop.jar.sha1
fetchArtifact org/sonatype/sisu/sisu-guice/2.1.7/sisu-guice-2.1.7-noaop.jar
fetchArtifact org/sonatype/sisu/sisu-guice/2.1.7/sisu-guice-2.1.7.pom.sha1
fetchArtifact org/sonatype/sisu/sisu-guice/2.1.7/sisu-guice-2.1.7.pom
fetchArtifact org/sonatype/sisu/sisu-inject-bean/1.4.2/sisu-inject-bean-1.4.2.jar.sha1
fetchArtifact org/sonatype/sisu/sisu-inject-bean/1.4.2/sisu-inject-bean-1.4.2.jar
fetchArtifact org/sonatype/sisu/sisu-inject-bean/1.4.2/sisu-inject-bean-1.4.2.pom
fetchArtifact org/sonatype/sisu/sisu-inject-bean/1.4.2/sisu-inject-bean-1.4.2.pom.sha1
fetchArtifact org/sonatype/spice/spice-parent/16/spice-parent-16.pom
fetchArtifact org/sonatype/spice/spice-parent/16/spice-parent-16.pom.sha1
fetchArtifact org/sonatype/spice/spice-parent/17/spice-parent-17.pom.sha1
fetchArtifact org/sonatype/spice/spice-parent/17/spice-parent-17.pom
fetchArtifact org/sonatype/spice/spice-parent/12/spice-parent-12.pom
fetchArtifact org/sonatype/spice/spice-parent/12/spice-parent-12.pom.sha1
fetchArtifact org/sonatype/spice/spice-parent/10/spice-parent-10.pom.sha1
fetchArtifact org/sonatype/spice/spice-parent/10/spice-parent-10.pom
fetchArtifact org/sonatype/plexus/plexus-build-api/0.0.4/plexus-build-api-0.0.4.jar
fetchArtifact org/sonatype/plexus/plexus-build-api/0.0.4/plexus-build-api-0.0.4.jar.sha1
fetchArtifact org/sonatype/plexus/plexus-build-api/0.0.4/plexus-build-api-0.0.4.pom
fetchArtifact org/sonatype/plexus/plexus-build-api/0.0.4/plexus-build-api-0.0.4.pom.sha1
fetchArtifact org/sonatype/plexus/plexus-cipher/1.4/plexus-cipher-1.4.pom.sha1
fetchArtifact org/sonatype/plexus/plexus-cipher/1.4/plexus-cipher-1.4.jar
fetchArtifact org/sonatype/plexus/plexus-cipher/1.4/plexus-cipher-1.4.pom
fetchArtifact org/sonatype/plexus/plexus-cipher/1.4/plexus-cipher-1.4.jar.sha1
fetchArtifact org/sonatype/plexus/plexus-sec-dispatcher/1.3/plexus-sec-dispatcher-1.3.pom.sha1
fetchArtifact org/sonatype/plexus/plexus-sec-dispatcher/1.3/plexus-sec-dispatcher-1.3.jar.sha1
fetchArtifact org/sonatype/plexus/plexus-sec-dispatcher/1.3/plexus-sec-dispatcher-1.3.jar
fetchArtifact org/sonatype/plexus/plexus-sec-dispatcher/1.3/plexus-sec-dispatcher-1.3.pom
fetchArtifact org/sonatype/forge/forge-parent/4/forge-parent-4.pom.sha1
fetchArtifact org/sonatype/forge/forge-parent/4/forge-parent-4.pom
fetchArtifact org/sonatype/forge/forge-parent/3/forge-parent-3.pom
fetchArtifact org/sonatype/forge/forge-parent/3/forge-parent-3.pom.sha1
fetchArtifact org/sonatype/forge/forge-parent/5/forge-parent-5.pom.sha1
fetchArtifact org/sonatype/forge/forge-parent/5/forge-parent-5.pom
fetchArtifact org/sonatype/forge/forge-parent/6/forge-parent-6.pom.sha1
fetchArtifact org/sonatype/forge/forge-parent/6/forge-parent-6.pom
fetchArtifact org/sonatype/forge/forge-parent/10/forge-parent-10.pom.sha1
fetchArtifact org/sonatype/forge/forge-parent/10/forge-parent-10.pom
fetchArtifact org/objenesis/objenesis/1.0/objenesis-1.0.jar.sha1
fetchArtifact org/objenesis/objenesis/1.0/objenesis-1.0.pom.sha1
fetchArtifact org/objenesis/objenesis/1.0/objenesis-1.0.pom
fetchArtifact org/objenesis/objenesis/1.0/objenesis-1.0.jar
fetchArtifact org/javassist/javassist/3.18.1-GA/javassist-3.18.1-GA.pom
fetchArtifact org/javassist/javassist/3.18.1-GA/javassist-3.18.1-GA.pom.sha1
fetchArtifact org/javassist/javassist/3.18.1-GA/javassist-3.18.1-GA.jar.sha1
fetchArtifact org/javassist/javassist/3.18.1-GA/javassist-3.18.1-GA.jar
fetchArtifact org/ow2/asm/asm-parent/5.0.2/asm-parent-5.0.2.pom.sha1
fetchArtifact org/ow2/asm/asm-parent/5.0.2/asm-parent-5.0.2.pom
fetchArtifact org/ow2/asm/asm-parent/4.1/asm-parent-4.1.pom
fetchArtifact org/ow2/asm/asm-parent/4.1/asm-parent-4.1.pom.sha1
fetchArtifact org/ow2/asm/asm-analysis/5.0.2/asm-analysis-5.0.2.jar
fetchArtifact org/ow2/asm/asm-analysis/5.0.2/asm-analysis-5.0.2.pom.sha1
fetchArtifact org/ow2/asm/asm-analysis/5.0.2/asm-analysis-5.0.2.pom
fetchArtifact org/ow2/asm/asm-analysis/5.0.2/asm-analysis-5.0.2.jar.sha1
fetchArtifact org/ow2/asm/asm-analysis/4.1/asm-analysis-4.1.pom
fetchArtifact org/ow2/asm/asm-analysis/4.1/asm-analysis-4.1.jar
fetchArtifact org/ow2/asm/asm-analysis/4.1/asm-analysis-4.1.pom.sha1
fetchArtifact org/ow2/asm/asm-analysis/4.1/asm-analysis-4.1.jar.sha1
fetchArtifact org/ow2/asm/asm/5.0.2/asm-5.0.2.jar.sha1
fetchArtifact org/ow2/asm/asm/5.0.2/asm-5.0.2.pom.sha1
fetchArtifact org/ow2/asm/asm/5.0.2/asm-5.0.2.pom
fetchArtifact org/ow2/asm/asm/5.0.2/asm-5.0.2.jar
fetchArtifact org/ow2/asm/asm/4.1/asm-4.1.jar.sha1
fetchArtifact org/ow2/asm/asm/4.1/asm-4.1.pom.sha1
fetchArtifact org/ow2/asm/asm/4.1/asm-4.1.pom
fetchArtifact org/ow2/asm/asm/4.1/asm-4.1.jar
fetchArtifact org/ow2/asm/asm-util/5.0.2/asm-util-5.0.2.pom
fetchArtifact org/ow2/asm/asm-util/5.0.2/asm-util-5.0.2.jar
fetchArtifact org/ow2/asm/asm-util/5.0.2/asm-util-5.0.2.pom.sha1
fetchArtifact org/ow2/asm/asm-util/5.0.2/asm-util-5.0.2.jar.sha1
fetchArtifact org/ow2/asm/asm-util/4.1/asm-util-4.1.jar
fetchArtifact org/ow2/asm/asm-util/4.1/asm-util-4.1.pom
fetchArtifact org/ow2/asm/asm-util/4.1/asm-util-4.1.pom.sha1
fetchArtifact org/ow2/asm/asm-util/4.1/asm-util-4.1.jar.sha1
fetchArtifact org/ow2/asm/asm-tree/5.0.2/asm-tree-5.0.2.jar
fetchArtifact org/ow2/asm/asm-tree/5.0.2/asm-tree-5.0.2.jar.sha1
fetchArtifact org/ow2/asm/asm-tree/5.0.2/asm-tree-5.0.2.pom
fetchArtifact org/ow2/asm/asm-tree/5.0.2/asm-tree-5.0.2.pom.sha1
fetchArtifact org/ow2/asm/asm-tree/4.1/asm-tree-4.1.jar
fetchArtifact org/ow2/asm/asm-tree/4.1/asm-tree-4.1.pom.sha1
fetchArtifact org/ow2/asm/asm-tree/4.1/asm-tree-4.1.jar.sha1
fetchArtifact org/ow2/asm/asm-tree/4.1/asm-tree-4.1.pom
fetchArtifact org/ow2/asm/asm-commons/5.0.2/asm-commons-5.0.2.pom
fetchArtifact org/ow2/asm/asm-commons/5.0.2/asm-commons-5.0.2.jar
fetchArtifact org/ow2/asm/asm-commons/5.0.2/asm-commons-5.0.2.jar.sha1
fetchArtifact org/ow2/asm/asm-commons/5.0.2/asm-commons-5.0.2.pom.sha1
fetchArtifact org/ow2/ow2/1.3/ow2-1.3.pom.sha1
fetchArtifact org/ow2/ow2/1.3/ow2-1.3.pom
fetchArtifact org/glassfish/web/javax.el/2.2.5/javax.el-2.2.5.jar.sha1
fetchArtifact org/glassfish/web/javax.el/2.2.5/javax.el-2.2.5.jar
fetchArtifact org/glassfish/web/javax.el/2.2.5/javax.el-2.2.5.pom
fetchArtifact org/glassfish/web/javax.el/2.2.5/javax.el-2.2.5.pom.sha1
fetchArtifact org/pegdown/pegdown/1.2.1/pegdown-1.2.1.jar.sha1
fetchArtifact org/pegdown/pegdown/1.2.1/pegdown-1.2.1.pom
fetchArtifact org/pegdown/pegdown/1.2.1/pegdown-1.2.1.pom.sha1
fetchArtifact org/pegdown/pegdown/1.2.1/pegdown-1.2.1.jar
fetchArtifact junit/junit/4.11/junit-4.11.jar
fetchArtifact junit/junit/4.11/junit-4.11.pom
fetchArtifact junit/junit/4.11/junit-4.11.jar.sha1
fetchArtifact junit/junit/4.11/junit-4.11.pom.sha1
fetchArtifact junit/junit/3.8.1/junit-3.8.1.pom
fetchArtifact junit/junit/3.8.1/junit-3.8.1.jar
fetchArtifact junit/junit/3.8.1/junit-3.8.1.jar.sha1
fetchArtifact junit/junit/3.8.1/junit-3.8.1.pom.sha1
fetchArtifact junit/junit/3.8.2/junit-3.8.2.pom
fetchArtifact junit/junit/3.8.2/junit-3.8.2.pom.sha1
fetchArtifact joda-time/joda-time/2.3/joda-time-2.3.pom
fetchArtifact joda-time/joda-time/2.3/joda-time-2.3.jar.sha1
fetchArtifact joda-time/joda-time/2.3/joda-time-2.3.jar
fetchArtifact joda-time/joda-time/2.3/joda-time-2.3.pom.sha1
fetchArtifact commons-beanutils/commons-beanutils/1.7.0/commons-beanutils-1.7.0.jar
fetchArtifact commons-beanutils/commons-beanutils/1.7.0/commons-beanutils-1.7.0.pom.sha1
fetchArtifact commons-beanutils/commons-beanutils/1.7.0/commons-beanutils-1.7.0.pom
fetchArtifact commons-beanutils/commons-beanutils/1.7.0/commons-beanutils-1.7.0.jar.sha1
fetchArtifact commons-beanutils/commons-beanutils/1.6/commons-beanutils-1.6.pom
fetchArtifact commons-beanutils/commons-beanutils/1.6/commons-beanutils-1.6.pom.sha1
fetchArtifact javax/inject/javax.inject/1/javax.inject-1.pom
fetchArtifact javax/inject/javax.inject/1/javax.inject-1.jar
fetchArtifact javax/inject/javax.inject/1/javax.inject-1.jar.sha1
fetchArtifact javax/inject/javax.inject/1/javax.inject-1.pom.sha1
fetchArtifact javax/el/javax.el-api/2.2.4/javax.el-api-2.2.4.pom.sha1
fetchArtifact javax/el/javax.el-api/2.2.4/javax.el-api-2.2.4.jar.sha1
fetchArtifact javax/el/javax.el-api/2.2.4/javax.el-api-2.2.4.jar
fetchArtifact javax/el/javax.el-api/2.2.4/javax.el-api-2.2.4.pom
fetchArtifact javax/validation/validation-api/1.1.0.Final/validation-api-1.1.0.Final.pom
fetchArtifact javax/validation/validation-api/1.1.0.Final/validation-api-1.1.0.Final.jar.sha1
fetchArtifact javax/validation/validation-api/1.1.0.Final/validation-api-1.1.0.Final.pom.sha1
fetchArtifact javax/validation/validation-api/1.1.0.Final/validation-api-1.1.0.Final.jar
fetchArtifact javax/mail/mail/1.4.5/mail-1.4.5.pom.sha1
fetchArtifact javax/mail/mail/1.4.5/mail-1.4.5.jar
fetchArtifact javax/mail/mail/1.4.5/mail-1.4.5.pom
fetchArtifact javax/mail/mail/1.4.5/mail-1.4.5.jar.sha1
fetchArtifact javax/activation/activation/1.1/activation-1.1.pom.sha1
fetchArtifact javax/activation/activation/1.1/activation-1.1.pom
fetchArtifact javax/activation/activation/1.1.1/activation-1.1.1.jar.sha1
fetchArtifact javax/activation/activation/1.1.1/activation-1.1.1.pom
fetchArtifact javax/activation/activation/1.1.1/activation-1.1.1.jar
fetchArtifact javax/activation/activation/1.1.1/activation-1.1.1.pom.sha1
fetchArtifact commons-validator/commons-validator/1.2.0/commons-validator-1.2.0.jar.sha1
fetchArtifact commons-validator/commons-validator/1.2.0/commons-validator-1.2.0.pom.sha1
fetchArtifact commons-validator/commons-validator/1.2.0/commons-validator-1.2.0.jar
fetchArtifact commons-validator/commons-validator/1.2.0/commons-validator-1.2.0.pom
fetchArtifact mesosphere/chaos_2.11/0.6.1/chaos_2.11-0.6.1.jar
fetchArtifact mesosphere/chaos_2.11/0.6.1/chaos_2.11-0.6.1.pom
fetchArtifact mesosphere/chaos_2.11/0.6.1/chaos_2.11-0.6.1.jar.sha1
fetchArtifact mesosphere/chaos_2.11/0.6.1/chaos_2.11-0.6.1.pom.sha1
fetchArtifact mesosphere/mesos-utils_2.11/0.20.1-1/mesos-utils_2.11-0.20.1-1.jar.sha1
fetchArtifact mesosphere/mesos-utils_2.11/0.20.1-1/mesos-utils_2.11-0.20.1-1.pom
fetchArtifact mesosphere/mesos-utils_2.11/0.20.1-1/mesos-utils_2.11-0.20.1-1.pom.sha1
fetchArtifact mesosphere/mesos-utils_2.11/0.20.1-1/mesos-utils_2.11-0.20.1-1.jar
fetchArtifact oro/oro/2.0.8/oro-2.0.8.pom
fetchArtifact oro/oro/2.0.8/oro-2.0.8.jar.sha1
fetchArtifact oro/oro/2.0.8/oro-2.0.8.pom.sha1
fetchArtifact oro/oro/2.0.8/oro-2.0.8.jar
