{ stdenv
, buildPythonPackage
, fetchPypi
, google_api_core
, pytest
, mock
, isPy38
}:

buildPythonPackage rec {
  pname = "google-cloud-container";
  version = "0.3.0";

  src = fetchPypi {
    inherit pname version;
    sha256 = "90cceceb487f1f4f2336b3674d594bc5e492fadbe27a5f06ca056d7148fd90ba";
  };

  checkInputs = [ pytest mock ];
  propagatedBuildInputs = [ google_api_core ];

  checkPhase = ''
    pytest tests/unit
  '';

  meta = with stdenv.lib; {
    description = "Google Container Engine API client library";
    homepage = https://github.com/GoogleCloudPlatform/google-cloud-python;
    license = licenses.asl20;
    maintainers = [ maintainers.costrouc ];
    broken = isPy38;
  };
}
